<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}
require_once("models/header.php");
require_once('calendar/classes/tc_calendar.php');

// Pager settings
$accepted_results_per_page=array(10=>10,20=>20,50=>50,100=>100);

// Begin body, and header
echo "
<body>
<div id='wrapper'>
<div id='top'><div id='logo'></div></div>
<div id='content'>

<h1>&nbsp;</h1>
".lang('HOME HEADER')."
<div id='left-nav'>";
include("left-nav.php");

// Introduction text
echo "
</div>

<div id='main_welcome_text'>
<br>

	".lang('HOME MAIN TEXT')."
	".lang('HOME GREETS')."

</div>
	
<div id='main'>
";


// Set $where for getting results
$where="1";

// Check if From Country filter is given
if(isset($_GET['from_country']) && $_GET['from_country'] != "ALL")
{
	$from_country = trim($_GET['from_country'], '_1');
	$where.=" and `from_country` = '".$from_country."'";
	// Set selection
	$from_country_selected=$_GET['from_country'];
	$selected_country_from[$from_country_selected]="selected";
}

// Check if To Country filter is given
if(isset($_GET['to_country']) && $_GET['to_country'] != "ALL")
{
	$to_country = trim($_GET['to_country'], '_1');
	$where.=" and `to_country` = '".$to_country."'";
	// Set selection
	$to_country_selected=$_GET['to_country'];
	$selected_country_to[$to_country_selected]="selected";
}

// Check if Type filter is given
if(isset($_GET['type']) && $_GET['type'] != "ALL")
{
	$where.=" and `offer_request` = '".$_GET['type']."'";
	// Set selection
	$type_selected=$_GET['type'];
	$selected_ride_type[$type_selected]="selected";
}

// Check if date range filter is given
$day_from = date('d',time());
$month_from = date('m',time());
$year_from = date('Y',time());

$day_to = date('d',time());
$month_to = date('m',time());
$year_to = date('Y',time());

if(isset($_GET['date3']) && isset($_GET['date4']))
{
	$where.=" and `departure_date` BETWEEN '".$_GET['date3']."' and '".$_GET['date4']."'";
	// Set selection
	$day_from = date('d',strtotime($_GET['date3']));
	$month_from = date('m',strtotime($_GET['date3']));
	$year_from = date('Y',strtotime($_GET['date3']));

	$day_to = date('d',strtotime($_GET['date4']));
	$month_to = date('m',strtotime($_GET['date4']));
	$year_to = date('Y',strtotime($_GET['date4']));
}


// Begin form
echo " 
<br>
<form method=\"get\"><table>";


// From country filter field
$result = mysqli_query($mysqli,'SELECT * FROM uc_countries ORDER BY name');
echo '<tr><td width = "100px"><label for="from_country">'.lang("FROM COUNTRY").'</label></td><td><select name="from_country">';
echo '<option value="ALL">'.lang("All").'</option>';
echo '<option value="ALL"></option>';
echo "<option value='Austria_1' ".$selected_country_from['Austria_1'].">Austria</option>";
echo "<option value='Belgium_1' ".$selected_country_from['Belgium_1'].">Belgium</option>";
echo "<option value='France_1' ".$selected_country_from['France_1'].">France</option>";
echo "<option value='Germany_1' ".$selected_country_from['Germany_1'].">Germany</option>";
echo "<option value='Italy_1' ".$selected_country_from['Italy_1'].">Italy</option>";
echo "<option value='Netherlands_1' ".$selected_country_from['Netherlands_1'].">Netherlands</option>";
echo "<option value='Spain_1' ".$selected_country_from['Spain_1'].">Spain</option>";
echo "<option value='United Kingdom_1' ".$selected_country_from['United Kingdom_1'].">United Kingdom</option>";
echo "<option value='ALL'></option>";
echo "<option value='ALL'>----</option>";
echo "<option value='ALL'></option>";
while ($row = mysqli_fetch_array($result))
{
   echo '<option value="'.$row['name'].'" '.$selected_country_from[$row["name"]].'>'.$row['name'].'</option>';
}
echo '</select></td></tr>';

// To country filter field
echo "<br>";
$result = mysqli_query($mysqli,'SELECT * FROM uc_countries ORDER BY name');
echo '<tr><td width = "100px"><label for="to_country">'.lang("TO COUNTRY").'</label></td><td><select name="to_country">';
echo '<option value="ALL">'.lang("All").'</option>';
echo '<option value="ALL"></option>';
echo "<option value='Austria_1' ".$selected_country_to['Austria_1'].">Austria</option>";
echo "<option value='Belgium_1' ".$selected_country_to['Belgium_1'].">Belgium</option>";
echo "<option value='France_1' ".$selected_country_to['France_1'].">France</option>";
echo "<option value='Germany_1' ".$selected_country_to['Germany_1'].">Germany</option>";
echo "<option value='Italy_1' ".$selected_country_to['Italy_1'].">Italy</option>";
echo "<option value='Netherlands_1' ".$selected_country_to['Netherlands_1'].">Netherlands</option>";
echo "<option value='Spain_1' ".$selected_country_to['Spain_1'].">Spain</option>";
echo "<option value='United Kingdom_1' ".$selected_country_to['United Kingdom_1'].">United Kingdom</option>";
echo '<option value="ALL"></option>';
echo '<option value="ALL">----</option>';
echo '<option value="ALL"></option>';
while ($row = mysqli_fetch_array($result))
{
   echo '<option value="'.$row['name'].'" '.$selected_country_to[$row["name"]].'>'.$row['name'].'</option>';
}
echo '</select></td></tr>';

// Type of ride filter field
echo '<tr><td width = "100px"><label for="type">'.lang("RIDE TYPE").'</label></td><td><select name="type">';
echo "<option value='ALL'>".lang('All')."</option>";
echo "<option value='Offer' ".$selected_ride_type['Offer'].">".lang('Offer')."</option>";
echo "<option value='Request' ".$selected_ride_type['Request'].">".lang('Request')."</option>";
echo '</select></td></tr>';

// Select date range
// source: http://ciprianmp.com/scripts/calendar/
echo '<tr><td width = "100px">'.lang("RIDE DATE").'</td><td>';
echo "<div style=\"float: left;\">
	<div style=\"float: left; padding-right: 3px; line-height: 18px;\"></div>
	<div style=\"float: left;\">";
		$thisweek = date('W');
		$thisyear = date('Y');

		$dayTimes = getDaysInWeek($thisweek, $thisyear);
		//----------------------------------------

		$date1 = date('Y-m-d', $dayTimes[0]);
		$date2 = date('Y-m-d', $dayTimes[(sizeof($dayTimes)-1)]);

		function getDaysInWeek ($weekNumber, $year, $dayStart = 1) {
		  // Count from '0104' because January 4th is always in week 1
		  // (according to ISO 8601).
		  $time = strtotime($year . '0104 +' . ($weekNumber - 1).' weeks');
		  // Get the time of the first day of the week
		  $dayTime = strtotime('-' . (date('w', $time) - $dayStart) . ' days', $time);
		  // Get the times of days 0 -> 6
		  $dayTimes = array ();
		  for ($i = 0; $i < 7; ++$i) {
			$dayTimes[] = strtotime('+' . $i . ' days', $dayTime);
		  }
		  // Return timestamps for mon-sun.
		  return $dayTimes;
		}

		$myCalendar = new tc_calendar("date3", true, false);
		$myCalendar->setIcon("calendar/images/iconCalendar.gif");
		$myCalendar->setDate($day_from, $month_from, $year_from);
		$myCalendar->setPath("calendar/");
		$myCalendar->setYearInterval(2000, 2100);
		$myCalendar->setOnChange("hideCalendar('date3')");
		$myCalendar->setAlignment('left', 'bottom');
		$myCalendar->setDatePair('date3', 'date4', $date2);
		//$myCalendar->setSpecificDate(array("2011-04-01", "2011-04-04", "2011-12-25"), 0, 'year');
		$myCalendar->writeScript();
echo"	</div>
</div>
<div style=\"float: left;\">
	<div style=\"float: left; padding-left: 3px; padding-right: 3px; line-height: 18px;\">".lang('RIDE DATE TO')."</div>
	<div style=\"float: left;\">";
		$myCalendar = new tc_calendar("date4", true, false);
		$myCalendar->setIcon("calendar/images/iconCalendar.gif");
		$myCalendar->setDate($day_to, $month_to, $year_to);
		$myCalendar->setPath("calendar/");
		$myCalendar->setYearInterval(2000, 2100);
		//$myCalendar->dateAllow("", '2009-11-03', false);
		$myCalendar->setOnChange("hideCalendar('date4')");
		$myCalendar->setAlignment('left', 'bottom');
		$myCalendar->setDatePair('date3', 'date4', $date1);
		//$myCalendar->setSpecificDate(array("2011-04-01", "2011-04-04", "2011-12-25"), 0, 'year');
		$myCalendar->writeScript();
echo"	</div>
</div></td></tr></table>";


// Submit button
echo "<br>
<input type=\"submit\" value=\"".lang('SEARCH PLEASE')."\" name=\"filter\" />
</form>
<br><br>
";


// Order by date
$order_by=" ORDER BY `departure_date`";

// Get the results
// Pager
$o=isset($_GET['o']) ? (int)$_GET['o'] : 0;
$r=isset($_GET['r']) ? (int)$_GET['r'] : current($accepted_results_per_page);
$select_query="SELECT `id` FROM uc_rides WHERE ".$where.$order_by;
$result = mysqli_query($mysqli,$select_query); 
$totalrows = mysqli_num_rows($result);
$output['pager2']=pager($totalrows,$o,$r);

// Get the results
if (!empty($totalrows)) 
{
	if ($o>=$totalrows) 
	{
		$o=$totalrows-$r;
		$o=$o>=0 ? $o : 0;
	}
	$select_query="SELECT * FROM uc_rides WHERE ".$where.$order_by." LIMIT $o,$r";
	$result = mysqli_query($mysqli,$select_query); 
}

// Show results in table
echo "
	<table width = '920px' border='1' class='rides'>
	<th width = '60px'>".lang('RESULTS HEADER DATE')."</th>
	<th width = '120px'>".lang('RESULTS HEADER FROM')."</th>
	<th width = '120px'>".lang('RESULTS HEADER TO')."</th>
	<th width = '50px'>".lang('RESULTS HEADER TYPE')."</th>
	<th width = '20px'>".lang('RESULTS HEADER SPACES')."</th>
	<th width = '80px'>".lang('RESULTS HEADER TIME')."</th>
	<th width = '40px'>".lang('RESULTS HEADER DETAILS')."</th>
	";
	
while($row = mysqli_fetch_array($result))
{
	// Max length locations
	$from_string = $row['from_country'].", ".$row['from_location'];
	$from_string = (strlen($from_string) > 24) ? substr($from_string,0,21).'...' : $from_string;
	$to_string = $row['to_country'].", ".$row['to_location'];
	$to_string = (strlen($to_string) > 24) ? substr($to_string,0,21).'...' : $to_string;

	echo "<tr><td width = '60px' class='spaces'>";  
	echo $row['departure_date'];
	echo "</td>";
	echo "<td width = '120px'>";
	echo $from_string;
	echo "</td>";
	echo "<td width = '120px'>";
	echo $to_string;
	echo "</td>";
	echo "<td width = '50px' class='spaces'>";
	echo lang($row['offer_request']);
	echo "</td>";
	echo "<td width = '20px' class='spaces'>";
	echo $row['number_spaces'];
	echo "</td>";
	echo "<td width = '80px'>";
	echo $row['departure_time'];
	echo "</td>";
	echo "<td width = '40px'>";
	echo "<a href='ride.php?ride_id=".$row['id']."&user_id=".$row['user_id_fk']."'>".lang('RESULTS ROW DETAILS')."</a>";
	echo "</td></tr>";
}
echo "</table>";


$number = $mysqli->affected_rows;
if($number==0) // No results
{
	echo lang('NO RESULTS');
}
else	// Show pager if more than 10 results
{
	if($totalrows>=11)
	{
		echo"<table width = '920px' border='0' class='pager'><tr><td>";
		echo $output['pager2'];
		echo"</td></tr></table>";
	}
}



echo "
</div>
<div id='bottom'><br><br></div>
</div>
</body>
</html>";

?>
