<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

if (!securePage($_SERVER['PHP_SELF'])){die();}


//Links for logged in user
//KLJE made new links, rearranged
if(isUserLoggedIn()) {
	echo "
	<ul>
	<li><a href='index.php'>".lang('MENU HOME')."</a></li>
	<li><a href='my_ride_add.php'>".lang('MENU ADD RIDE')."</a></li>
	<li><a href='my_ride_overview.php'>".lang('MENU MY RIDES')."</a></li>
	<li><a href='user_settings.php'>".lang('MENU USER SETTINGS')."</a></li>
	<li><a href='logout.php'>".lang('MENU LOGOUT')."</a></li>
	</ul>";
	
	//Links for permission level 2 (default admin)
	if ($loggedInUser->checkPermission(array(2))){
	echo "
	<ul>
	<li><a href='admin_configuration.php'>Admin Configuration</a></li>
	<li><a href='admin_users.php'>Admin Users</a></li>
	<li><a href='admin_permissions.php'>Admin Permissions</a></li>
	<li><a href='admin_pages.php'>Admin Pages</a></li>
	</ul>";
	}
} 
//Links for users not logged in
else {
	echo "
	<ul>
	<li><a href='index.php'>".lang('MENU HOME')."</a></li>
	<li><a href='my_ride_add.php'>".lang('MENU ADD RIDE')."</a></li>
	<li><a href='login.php'>".lang('MENU LOGIN')."</a></li>
	<li><a href='register.php'>".lang('MENU REGISTER')."</a></li>
	<li><a href='forgot-password.php'>".lang('MENU FORGOT PASSWORD')."</a></li>";
	if ($emailActivation)
	{
	echo "<li><a href='resend-activation.php'>".lang('MENU RESEND ACTIVATION EMAIL')."</a></li>";
	}
	echo "</ul>";
}

// Languages
if($_GET)
{
	$url=$_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'];
	if(!empty($_GET['lng']))
	{
		$key='lng';
		$url=remove_querystring_var($url, $key);
	}
		
	if (strpos($url,'?') !== false) 
	{
		$link_en=$url."&lng=en";
		$link_fr=$url."&lng=fr";
		$link_de=$url."&lng=de";
		$link_es=$url."&lng=es";
		$link_es=$url."&lng=nl";
	}
	else
	{
		$link_en=$url."?lng=en";
		$link_fr=$url."?lng=fr";
		$link_de=$url."?lng=de";
		$link_es=$url."?lng=es";
		$link_nl=$url."?lng=nl";
	}
}
else
{
	$link_en=$_SERVER['PHP_SELF']."?lng=en";
	$link_fr=$_SERVER['PHP_SELF']."?lng=fr";
	$link_de=$_SERVER['PHP_SELF']."?lng=de";
	$link_es=$_SERVER['PHP_SELF']."?lng=es";
	$link_nl=$_SERVER['PHP_SELF']."?lng=nl";
}
echo "
<ul>
	<li><a href='".$link_en."'>English</a></li>
	<li><a href='".$link_fr."'>Fran&ccedil;ais</a></li>
	<li><a href='".$link_de."'>Deutsch</a></li>
	<li><a href='".$link_es."'>Espa&ntilde;ol</a></li>
	<li><a href='".$link_nl."'>Nederlands</a></li>";

echo "
</ul>";

echo "
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<span style='font-size:8px' >Powered by<br>
<a href='http://www.sharetheridescript.com ' style='text-decoration: none;'>Share The Ride Script</a></span>
";

?>
