<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/

/*
%m1% - Dymamic markers which are replaced at run time by the relevant index.
*/

$lang = array();

// Home - index.php, and My Rides - my_ride_overview.php
$lang = array_merge($lang,array(
	'HOME HEADER'				=> '<h2>You are at Home</h2>',
	'MY RIDES HEADER'			=> '<h2>My Rides</h2>',
	'HOME MAIN TEXT'			=> '<p>Hello! If you want, you can search for rides here. Or put an offer (or request) yourself.</p>',
	'HOME GREETS'				=> '<p>Greets!</p>',	
	'FROM COUNTRY'				=> 'From Country', 
	'TO COUNTRY'				=> 'To Country', 
	'RIDE TYPE'				=> 'Type', 
	'RIDE DATE'				=> 'Date', 
	'RIDE DATE TO'				=> 'to&nbsp;', 
	'SEARCH PLEASE'				=> 'Search Please :)', 
	'NO RESULTS'				=> 'No results..',
	'YOU HAVE NO RIDES'			=> 'You have no rides..',	
	'RESULTS HEADER DATE'			=> 'Date', 
	'RESULTS HEADER FROM'			=> 'From', 
	'RESULTS HEADER TO'			=> 'To', 
	'RESULTS HEADER TYPE'			=> 'Type', 
	'RESULTS HEADER SPACES'			=> 'Spaces', 	
	'RESULTS HEADER TIME'			=> 'Time', 
	'RESULTS HEADER DETAILS'		=> 'Details', 
	'RESULTS HEADER EDIT'			=> 'Edit', 	
	'RESULTS HEADER DELETE'			=> 'Delete', 	
	'RESULTS ROW DETAILS'			=> 'Details..', 
	'RESULTS ROW EDIT'			=> 'Edit..', 	
	'RESULTS ROW DELETE'			=> 'Delete..', 	
	));
	
// Left menu - left-nav.php
$lang = array_merge($lang,array(
	'MENU HOME'				=> 'Home', 
	'MENU ADD RIDE'				=> 'Offer or Request a Ride', 
	'MENU MY RIDES'				=> 'My Rides', 
	'MENU USER SETTINGS'			=> 'User Settings', 
	'MENU LOGOUT'				=> 'Logout', 
	'MENU LOGIN'				=> 'Login', 
	'MENU REGISTER'				=> 'Register', 
	'MENU FORGOT PASSWORD'			=> 'Forgot Password', 
	'MENU RESEND ACTIVATION EMAIL'		=> 'Resend Activation Email', 
	));

// Pager - models/funcs.php
$lang = array_merge($lang,array(
	'PAGER PAGES'				=> 'Pages:', 
	'PAGER RESULTS TO SHOW'			=> 'Results to show:', 
	'PAGER GO TO FIRST PAGE'		=> 'Go to first page', 
	'PAGER GO TO LAST PAGE'			=> 'Go to last page', 
	'PAGER GO TO NEXT PAGE'			=> 'Go to next page', 
	'PAGER GO TO PREVIOUS PAGE'		=> 'Go to previous page', 
	));

// Registration - register.php
$lang = array_merge($lang,array(
	'REGISTER HEADER'			=> '<h2>Register</h2>', 
	'REGISTER USERNAME'			=> 'User Name', 
	'REGISTER DISPLAYNAME'			=> 'Display Name', 
	'REGISTER PASSWORD'			=> 'Password', 
	'REGISTER CONFIRM'			=> 'Confirm', 
	'REGISTER EMAIL'			=> 'Email', 
	'REGISTER EMAIL NOTE'			=> '(not visible to others)',   
	'REGISTER PHONE'			=> 'Phone Number', 
	'REGISTER PHONE NOTE'			=> '(optional, is visible to others)', 	
	'REGISTER AGE'				=> 'Age', 
	'REGISTER GENDER'			=> 'Gender', 
	'REGISTER SECURITY CODE'		=> 'Security Code', 
	'REGISTER ENTER SECURITY CODE'		=> 'Enter Security Code', 
	'REGISTER REGISTER'			=> 'Register', 
	));

// User Settings - user_settings.php
$lang = array_merge($lang,array(
	'USER SETTINGS HEADER'			=> '<h2>User Settings</h2>', 
	'USER SETTINGS PASSWORD'		=> 'Password', 
	'USER SETTINGS EMAIL'			=> 'Email', 
	'USER SETTINGS NEW PASSWORD'		=> 'New Pass', 
	'USER SETTINGS CONFIRM PASSWORD'	=> 'Confirm Pass', 
	'USER SETTINGS PHONE'			=> 'Phone', 
	'USER SETTINGS PHONE NOTE'		=> '(optional, is visible to others)', 
	'USER SETTINGS AGE'			=> 'Age', 
	'USER SETTINGS UPDATE'			=> 'Update', 
	));

// Offer or Request a Ride - my_ride_add.php, Edit a Ride - my_ride_edit.php, Ride Details - ride.php 
$lang = array_merge($lang,array(
	'ADD RIDE HEADER'			=> '<h2>Offer or Request a Ride</h2>', 
	'EDIT RIDE HEADER'			=> '<h2>Edit a Ride</h2>', 
	'RIDE DETAILS HEADER'			=> '<h2>Ride Details</h2>', 	
	'RIDE TYPE'				=> 'Type', 
	'RIDE DEPARTURE DATE'			=> 'Departure Date', 	
	'RIDE DEPARTURE TIME'			=> 'Departure Time', 	
	'RIDE FROM COUNTRY'			=> 'From Country', 		
	'RIDE TO COUNTRY'			=> 'To Country', 		
	'RIDE FROM LOCATION'			=> 'From City or Location', 			
	'RIDE TO LOCATION'			=> 'To City or Location', 				
	'RIDE NUMBER SPACES'			=> 'Number of Spaces', 				
	'RIDE NOTE'				=> 'Note', 					
	'RIDE OPTIONAL'				=> '(optional)', 
	'RIDE SAVE BUTTON'			=> 'Save', 	
	'RIDE EDIT SAVE CHANGES BUTTON'		=> 'Save Changes', 		
	'RIDE EDIT DELETE BUTTON'		=> 'Delete Ride', 
	'RIDE EDIT ARE YOU SURE DELETE'		=> 'Are you sure you want to delete this ride?', 	
	'RIDE DETAILS NAME'			=> 'Name', 			
	'RIDE DETAILS AGE'			=> 'Age', 			
	'RIDE DETAILS GENDER'			=> 'Gender',
	'RIDE DETAILS PHONE'			=> 'Phone', 			
	'RIDE DETAILS FROM'			=> 'From',
	'RIDE DETAILS TO'			=> 'To', 			
	'RIDE DETAILS SEND MESSAGE'		=> 'Send Message', 			
	'RIDE DETAILS SEND MESSAGE BUTTON'	=> 'Send', 			
	));
	
// Email subjects
$lang = array_merge($lang,array(
	'EMAIL SUBJECT NEW PASS'		=> 'Your new password', 
	'EMAIL SUBJECT LOST PASS'		=> 'Lost password request', 
	'EMAIL SUBJECT ACTIVATE ACCOUNT'	=> 'Activate your %m1% Account', 
	'EMAIL SUBJECT RESPONSE TO RIDE'	=> 'Response to your ride on %m1%', 
	'EMAIL SUBJECT NEW USER'		=> 'New user',	
	));
	
// Database fields
$lang = array_merge($lang,array(
	'All'					=> 'All',
	'Offer'					=> 'Offer', 
	'Request'				=> 'Request', 
	'Male'					=> 'Male', 
	'Female'				=> 'Female',
	));

// Activate Account - activate-account.php, Forgot Password - forgot-password.php  
// Login - login.php, Resend Activation - resend-activation.php
$lang = array_merge($lang,array(
	'ACTIVATE ACCOUNT HEADER'		=> '<h2>Activate Account</h2>', 
	'FORGOT PASSWORD HEADER'		=> '<h2>Forgot Password</h2>', 	
	'FORM USERNAME'				=> 'Username', 	
	'FORM EMAIL'				=> 'Email', 		
	'FORM SUBMIT'				=> 'Submit', 		
	'LOGIN HEADER'				=> '<h2>Login</h2>',
	'FORM PASSWORD'				=> 'Password', 			
	'FORM LOGIN'				=> 'Login', 			
	'LOGIN NEW USER'			=> 'New user? <a href="register.php">Register here</a>', 			
	'RESEND ACTIVATION HEADER'		=> '<h2>Resend Activation</h2>', 		
	));

	
//Account
$lang = array_merge($lang,array(
	"ACCOUNT_SPECIFY_USERNAME" 		=> "Please enter your username",
	"ACCOUNT_SPECIFY_PASSWORD" 		=> "Please enter your password",
	"ACCOUNT_SPECIFY_EMAIL"			=> "Please enter your email address",
	"ACCOUNT_INVALID_EMAIL"			=> "Invalid email address",
	"ACCOUNT_INVALID_AGE"			=> "Age must be a number between 0 and 99",
	"ACCOUNT_INVALID_GENDER"		=> "Gender cannot be empty",
	"ACCOUNT_USER_OR_EMAIL_INVALID"		=> "Username or email address is invalid",
	"ACCOUNT_USER_OR_PASS_INVALID"		=> "Username or password is invalid",
	"ACCOUNT_INVALID_TYPE"			=> "Type cannot be empty",
	"ACCOUNT_ADD_RIDE_DATE_EMPTY"		=> "Departure Date cannot be empty",
	"ACCOUNT_ADD_RIDE_FROM_COUNTRY_EMPTY"	=> "From Country cannot be empty",	
	"ACCOUNT_ADD_RIDE_TO_COUNTRY_EMPTY"	=> "To Country cannot be empty",	
	"ACCOUNT_ADD_RIDE_FROM_LOCATION_EMPTY"	=> "From City or Location cannot be empty",		
	"ACCOUNT_ADD_RIDE_TO_LOCATION_EMPTY"	=> "To City or Location cannot be empty",			
	"ACCOUNT_ALREADY_ACTIVE"		=> "Your account is already activated",
	"ACCOUNT_INACTIVE"			=> "Your account is in-active. Check your emails / spam folder for account activation instructions",
	"ACCOUNT_USER_CHAR_LIMIT"		=> "Your username must be between %m1% and %m2% characters in length",
	"ACCOUNT_DISPLAY_CHAR_LIMIT"		=> "Your display name must be between %m1% and %m2% characters in length",
	"ACCOUNT_PASS_CHAR_LIMIT"		=> "Your password must be between %m1% and %m2% characters in length",
	"ACCOUNT_TITLE_CHAR_LIMIT"		=> "Titles must be between %m1% and %m2% characters in length",
	"ACCOUNT_PASS_MISMATCH"			=> "Your password and confirmation password must match",
	"ACCOUNT_DISPLAY_INVALID_CHARACTERS"	=> "Display name can only include alpha-numeric characters",
	"ACCOUNT_USERNAME_IN_USE"		=> "Username %m1% is already in use",
	"ACCOUNT_DISPLAYNAME_IN_USE"		=> "Display name %m1% is already in use",
	"ACCOUNT_EMAIL_IN_USE"			=> "Email %m1% is already in use",
	"ACCOUNT_LINK_ALREADY_SENT"		=> "An activation email has already been sent to this email address in the last %m1% hour(s)",
	"ACCOUNT_NEW_ACTIVATION_SENT"		=> "We have emailed you a new activation link, please check your email",
	"ACCOUNT_SPECIFY_NEW_PASSWORD"		=> "Please enter your new password",	
	"ACCOUNT_SPECIFY_CONFIRM_PASSWORD"	=> "Please confirm your new password",
	"ACCOUNT_NEW_PASSWORD_LENGTH"		=> "New password must be between %m1% and %m2% characters in length",	
	"ACCOUNT_PASSWORD_INVALID"		=> "Current password doesn't match the one we have on record",	
	"ACCOUNT_DETAILS_UPDATED"		=> "Account details updated",
	"ACCOUNT_ACTIVATION_MESSAGE"		=> "You will need to activate your account before you can login. Please follow the link below to activate your account. \n\n
	%m1%activate-account.php?token=%m2%",							
	"ACCOUNT_ACTIVATION_COMPLETE"		=> "You have successfully activated your account. You can now login <a href=\"login.php\">here</a>.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE1"	=> "You have successfully registered. You can now login <a href=\"login.php\">here</a>.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE2"	=> "You have successfully registered. You will soon receive an activation email. 
	You must activate your account before logging in.",
	"ACCOUNT_ADD_RIDE_COMPLETE"		=> "You have successfully added a ride. You can view your rides <a href=\"my_ride_overview.php\">here</a>.",	
	"ACCOUNT_CHANGE_RIDE_COMPLETE"		=> "You have successfully changed the ride. You can view all your rides <a href=\"my_ride_overview.php\">here</a>.",		
	"ACCOUNT_CHANGE_RIDE_DELETE"		=> "You have successfully deleted the ride. You can view all your rides <a href=\"my_ride_overview.php\">here</a>.",			
	"ACCOUNT_RIDE_SEND_MESSAGE_COMPLETE"	=> "You have successfully sent a message to %m1%. You can search for other rides <a href=\"index.php\">here</a>.",				
	"ACCOUNT_PASSWORD_NOTHING_TO_UPDATE"	=> "You cannot update with the same password",
	"ACCOUNT_PASSWORD_UPDATED"		=> "Account password updated",
	"ACCOUNT_EMAIL_UPDATED"			=> "Account email updated",
	"ACCOUNT_AGE_UPDATED"			=> "Age updated",
	"ACCOUNT_PHONE_UPDATED"			=> "Phone updated",	
	"ACCOUNT_TOKEN_NOT_FOUND"		=> "Token does not exist / Account is already activated",
	"ACCOUNT_USER_INVALID_CHARACTERS"	=> "Username can only include alpha-numeric characters",
	"ACCOUNT_DELETIONS_SUCCESSFUL"		=> "You have successfully deleted %m1% user(s), and %m2% ride(s) submitted by these user(s)",
	"ACCOUNT_MANUALLY_ACTIVATED"		=> "%m1%'s account has been manually activated",
	"ACCOUNT_DISPLAYNAME_UPDATED"		=> "Displayname changed to %m1%",
	"ACCOUNT_TITLE_UPDATED"			=> "%m1%'s title changed to %m2%",
	"ACCOUNT_INVALID_USERNAME"		=> "Invalid username",
	));

//Configuration
$lang = array_merge($lang,array(
	"CONFIG_NAME_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_URL_CHAR_LIMIT"			=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_EMAIL_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_ACTIVATION_TRUE_FALSE"		=> "Email activation must be either `true` or `false`",
	"CONFIG_ACTIVATION_RESEND_RANGE"	=> "Activation Threshold must be between %m1% and %m2% hours",
	"CONFIG_LANGUAGE_CHAR_LIMIT"		=> "Language path must be between %m1% and %m2% characters in length",
	"CONFIG_LANGUAGE_INVALID"		=> "There is no file for the language key `%m1%`",
	"CONFIG_TEMPLATE_CHAR_LIMIT"		=> "Template path must be between %m1% and %m2% characters in length",
	"CONFIG_TEMPLATE_INVALID"		=> "There is no file for the template key `%m1%`",
	"CONFIG_EMAIL_INVALID"			=> "The email you have entered is not valid",
	"CONFIG_INVALID_URL_END"		=> "Please include the ending / in your site's URL",
	"CONFIG_UPDATE_SUCCESSFUL"		=> "Your site's configuration has been updated. You may need to load a new page for all the settings to take effect",
	"SQL_ERROR"				=> "Fatal SQL error",
	));

//Forgot Password
$lang = array_merge($lang,array(
	"FORGOTPASS_INVALID_TOKEN"		=> "Your activation token is not valid",
	"FORGOTPASS_NEW_PASS_EMAIL"		=> "We have emailed you a new password",
	"FORGOTPASS_REQUEST_CANNED"		=> "Lost password request cancelled",
	"FORGOTPASS_REQUEST_EXISTS"		=> "There is already a outstanding lost password request on this account",
	"FORGOTPASS_REQUEST_SUCCESS"		=> "We have emailed you instructions on how to regain access to your account",
	));

//Mail
$lang = array_merge($lang,array(
	"MAIL_ERROR"				=> "Fatal error attempting mail, contact your server administrator",
	"MAIL_TEMPLATE_BUILD_ERROR"		=> "Error building email template",
	"MAIL_TEMPLATE_DIRECTORY_ERROR"		=> "Unable to open mail-templates directory. Perhaps try setting the mail directory to %m1%",
	"MAIL_TEMPLATE_FILE_EMPTY"		=> "Template file is empty... nothing to send",
	));

//Miscellaneous
$lang = array_merge($lang,array(
	"CAPTCHA_FAIL"				=> "Failed security question",
	"CONFIRM"				=> "Confirm",
	"DENY"					=> "Deny",
	"SUCCESS"				=> "Success",
	"ERROR"					=> "Error",
	"NOTHING_TO_UPDATE"			=> "Nothing to update",
	"FEATURE_DISABLED"			=> "This feature is currently disabled",
	));

//Permissions
$lang = array_merge($lang,array(
	"PERMISSION_CHAR_LIMIT"			=> "Permission names must be between %m1% and %m2% characters in length",
	"PERMISSION_NAME_IN_USE"		=> "Permission name %m1% is already in use",
	"PERMISSION_DELETIONS_SUCCESSFUL"	=> "Successfully deleted %m1% permission level(s)",
	"PERMISSION_CREATION_SUCCESSFUL"	=> "Successfully created the permission level `%m1%`",
	"PERMISSION_NAME_UPDATE"		=> "Permission level name changed to `%m1%`",
	"PERMISSION_REMOVE_PAGES"		=> "Successfully removed access to %m1% page(s)",
	"PERMISSION_ADD_PAGES"			=> "Successfully added access to %m1% page(s)",
	"PERMISSION_REMOVE_USERS"		=> "Successfully removed %m1% user(s)",
	"PERMISSION_ADD_USERS"			=> "Successfully added %m1% user(s)",
	"ACCOUNT_PERMISSION_ADDED"		=> "Added access to %m1% permission levels",
	"ACCOUNT_PERMISSION_REMOVED"		=> "Removed access from %m1% permission levels",
	"PAGE_PRIVATE_TOGGLED"			=> "This page is now %m1%",
	"PAGE_ACCESS_REMOVED"			=> "Page access removed for %m1% permission level(s)",
	"PAGE_ACCESS_ADDED"			=> "Page access added for %m1% permission level(s)",
	"CANNOT_DELETE_NEWUSERS"		=> "You cannot delete the default 'new user' group",
	"CANNOT_DELETE_ADMIN"			=> "You cannot delete the default 'admin' group",
	));
?>