<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/

/*
%m1% - Dymamic markers which are replaced at run time by the relevant index.
*/

$lang = array();

// Home - index.php, and My Rides - my_ride_overview.php
$lang = array_merge($lang,array(
	'HOME HEADER'				=> '<h2>Home</h2>',
	'MY RIDES HEADER'			=> '<h2>Mijn Ritten</h2>',
	'HOME MAIN TEXT'			=> '<p>Hallo! Als je wilt, kan je hier naar ritten zoeken. Of zelf een rit aanbieden of vragen.</p>',
	'HOME GREETS'				=> '<p>Groeten!</p>',	
	'FROM COUNTRY'				=> 'Land van vertrek', 
	'TO COUNTRY'				=> 'Land van bestemming', 
	'RIDE TYPE'				=> 'Type', 
	'RIDE DATE'				=> 'Datum', 
	'RIDE DATE TO'				=> 'tot&nbsp;', 
	'SEARCH PLEASE'				=> 'Zoeken :)', 
	'NO RESULTS'				=> 'Geen resultaten..',
	'YOU HAVE NO RIDES'			=> 'Je hebt geen ritten..',	
	'RESULTS HEADER DATE'			=> 'Datum', 
	'RESULTS HEADER FROM'			=> 'Van', 
	'RESULTS HEADER TO'			=> 'Naar', 
	'RESULTS HEADER TYPE'			=> 'Type', 
	'RESULTS HEADER SPACES'			=> 'Plaatsen', 	
	'RESULTS HEADER TIME'			=> 'Tijd', 
	'RESULTS HEADER DETAILS'		=> 'Details', 
	'RESULTS HEADER EDIT'			=> 'Bewerken', 	
	'RESULTS HEADER DELETE'			=> 'Verwijderen', 	
	'RESULTS ROW DETAILS'			=> 'Details..', 
	'RESULTS ROW EDIT'			=> 'Bewerken..', 	
	'RESULTS ROW DELETE'			=> 'Vewijderen..', 	
	));
	
// Left menu - left-nav.php
$lang = array_merge($lang,array(
	'MENU HOME'				=> 'Home', 
	'MENU ADD RIDE'				=> 'Rit Aanbieden of Vragen', 
	'MENU MY RIDES'				=> 'Mijn Ritten', 
	'MENU USER SETTINGS'			=> 'Gebruikers Instellingen', 
	'MENU LOGOUT'				=> 'Uitloggen', 
	'MENU LOGIN'				=> 'Inloggen', 
	'MENU REGISTER'				=> 'Registreren', 
	'MENU FORGOT PASSWORD'			=> 'Wachtwoord vergeten', 
	'MENU RESEND ACTIVATION EMAIL'		=> 'Herstuur Activatie Email', 
	));

// Pager - models/funcs.php
$lang = array_merge($lang,array(
	'PAGER PAGES'				=> 'Paginas:', 
	'PAGER RESULTS TO SHOW'			=> 'Aantal resultaten per pagina:', 
	'PAGER GO TO FIRST PAGE'		=> 'Ga naar eerste pagina', 
	'PAGER GO TO LAST PAGE'			=> 'Ga naar laatste pagina', 
	'PAGER GO TO NEXT PAGE'			=> 'Ga naar volgende pagina ', 
	'PAGER GO TO PREVIOUS PAGE'		=> 'Ga naar vorige pagina ', 
	));

// Registration - register.php
$lang = array_merge($lang,array(
	'REGISTER HEADER'			=> '<h2>Registreren</h2>', 
	'REGISTER USERNAME'			=> 'Gebruikersnaam', 
	'REGISTER DISPLAYNAME'			=> 'Getoonde naam', 
	'REGISTER PASSWORD'			=> 'Wachtwoord', 
	'REGISTER CONFIRM'			=> 'Bevestigen', 
	'REGISTER EMAIL'			=> 'Email', 
	'REGISTER EMAIL NOTE'			=> '(niet zichtbaar voor anderen)',   
	'REGISTER PHONE'			=> 'Telefoonnummer', 
	'REGISTER PHONE NOTE'			=> '(optioneel, is zichtbaar voor anderen)', 	
	'REGISTER AGE'				=> 'Leeftijd', 
	'REGISTER GENDER'			=> 'Geslacht', 
	'REGISTER SECURITY CODE'		=> 'Beveiligingscode', 
	'REGISTER ENTER SECURITY CODE'		=> 'Voer beveiligingscode in', 
	'REGISTER REGISTER'			=> 'Registreren', 
	));

 
// User Settings - user_settings.php
$lang = array_merge($lang,array(
	'USER SETTINGS HEADER'			=> '<h2>Gebruikers Instellingen</h2>', 
	'USER SETTINGS PASSWORD'		=> 'Wachtwoord', 
	'USER SETTINGS EMAIL'			=> 'Email', 
	'USER SETTINGS NEW PASSWORD'		=> 'Nieuw wachtwoord', 
	'USER SETTINGS CONFIRM PASSWORD'	=> 'Bevestig wachtwoord', 
	'USER SETTINGS PHONE'			=> 'Telefoon', 
	'USER SETTINGS PHONE NOTE'		=> '(optioneel, is zichtbaar voor anderen)', 
	'USER SETTINGS AGE'			=> 'Leeftijd', 
	'USER SETTINGS UPDATE'			=> 'Opslaan', 
	));

// Offer or Request a Ride - my_ride_add.php, Edit a Ride - my_ride_edit.php, Ride Details - ride.php 
$lang = array_merge($lang,array(
	'ADD RIDE HEADER'			=> '<h2> Rit Aanbieden of Vragen</h2>', 
	'EDIT RIDE HEADER'			=> '<h2>Bewerk een Rit</h2>', 
	'RIDE DETAILS HEADER'			=> '<h2>Rit Details</h2>', 	
	'RIDE TYPE'				=> 'Type', 
	'RIDE DEPARTURE DATE'			=> 'Datum vertrek', 	
	'RIDE DEPARTURE TIME'			=> 'Tijdstip vertrek', 	
	'RIDE FROM COUNTRY'			=> 'Land van vertrek', 		
	'RIDE TO COUNTRY'			=> 'Land van bestemming', 		
	'RIDE FROM LOCATION'			=> 'Van stad of locatie', 			
	'RIDE TO LOCATION'			=> 'Naar stad of locatie ', 				
	'RIDE NUMBER SPACES'			=> 'Aantal plaatsen', 				
	'RIDE NOTE'				=> 'Notitie', 					
	'RIDE OPTIONAL'				=> '(optioneel)', 
	'RIDE SAVE BUTTON'			=> 'Opslaan', 	
	'RIDE EDIT SAVE CHANGES BUTTON'		=> 'Wijzigingen Opslaan', 		
	'RIDE EDIT DELETE BUTTON'		=> 'Rit Verwijderen', 
	'RIDE EDIT ARE YOU SURE DELETE'		=> 'Weet je zeker dat je deze rit wilt verwijderen?',
 	'RIDE DETAILS NAME'			=> 'Naam', 			
	'RIDE DETAILS AGE'			=> 'Leeftijd', 			
	'RIDE DETAILS GENDER'			=> 'Geslacht',
	'RIDE DETAILS PHONE'			=> 'Telefoon', 			
	'RIDE DETAILS FROM'			=> 'Van',
	'RIDE DETAILS TO'			=> 'Naar', 			
	'RIDE DETAILS SEND MESSAGE'		=> 'Verstuur Bericht', 			
	'RIDE DETAILS SEND MESSAGE BUTTON'	=> 'Verstuur', 			
	));
	
// Email subjects
$lang = array_merge($lang,array(
	'EMAIL SUBJECT NEW PASS'		=> 'Jouw nieuwe wachtwoord', 
	'EMAIL SUBJECT LOST PASS'		=> 'Vergeten wachtwoord verzoek', 
	'EMAIL SUBJECT ACTIVATE ACCOUNT'	=> 'Activeer jouw %m1% account', 
	'EMAIL SUBJECT RESPONSE TO RIDE'	=> 'Reactie op jouw rit op %m1%', 
	'EMAIL SUBJECT NEW USER'		=> 'Nieuwe gebruiker',	
	));
// Database fields
$lang = array_merge($lang,array(
	'All'					=> 'Alles',
	'Offer'					=> 'Aangeboden', 
	'Request'				=> 'Gezocht', 
	'Male'					=> 'Mannelijk', 
	'Female'				=> 'Vrouwelijk',
	));

// Activate Account - activate-account.php, Forgot Password - forgot-password.php  
// Login - login.php, Resend Activation - resend-activation.php
$lang = array_merge($lang,array(
	'ACTIVATE ACCOUNT HEADER'		=> '<h2>Activeer Account</h2>', 
	'FORGOT PASSWORD HEADER'		=> '<h2>Wachtwoord Vergeten</h2>', 	
	'FORM USERNAME'				=> 'Gebruikersnaam', 	
	'FORM EMAIL'				=> 'Email', 		
	'FORM SUBMIT'				=> 'Verstuur', 		
	'LOGIN HEADER'				=> '<h2>Inloggen</h2>',
	'FORM PASSWORD'				=> 'Wachtwoord', 			
	'FORM LOGIN'				=> 'Inloggen', 			
	'LOGIN NEW USER'			=> 'Nieuwe gebruiker? <a href="register.php">Registreer hier</a>', 			
	'RESEND ACTIVATION HEADER'		=> '<h2>Herstuur Activatie</h2>', 		
	));


//Account
$lang = array_merge($lang,array(
	"ACCOUNT_SPECIFY_USERNAME" 		=> "Voer gebruikersnaam in",
	"ACCOUNT_SPECIFY_PASSWORD" 		=> "Voer wachtwoord in ",
	"ACCOUNT_SPECIFY_EMAIL"			=> "Voer email adres in",
	"ACCOUNT_INVALID_EMAIL"			=> "Ongeldig email adres",
	"ACCOUNT_INVALID_AGE"			=> "Leeftijd moet een getal zijn tussen 0 en 99",
	"ACCOUNT_INVALID_GENDER"		=> "Geslacht mag niet leeg zijn",
	"ACCOUNT_USER_OR_EMAIL_INVALID"		=> "Gebruikersnaam of email adres ongeldig",
	"ACCOUNT_USER_OR_PASS_INVALID"		=> "Gebruikersnaam of wachtwoord ongeldig ",
	"ACCOUNT_INVALID_TYPE"			=> "Type mag niet leeg zijn",
	"ACCOUNT_ADD_RIDE_DATE_EMPTY"		=> "Datum vertrek mag niet leeg zijn",
	"ACCOUNT_ADD_RIDE_FROM_COUNTRY_EMPTY"	=> "Land van vertrek mag niet leeg zijn",	
	"ACCOUNT_ADD_RIDE_TO_COUNTRY_EMPTY"	=> "Land van bestemming mag niet leeg zijn",	
	"ACCOUNT_ADD_RIDE_FROM_LOCATION_EMPTY"	=> "Van stad of locatie mag niet leeg zijn",		
	"ACCOUNT_ADD_RIDE_TO_LOCATION_EMPTY"	=> "Naar stad of locatie mag niet leeg zijn",			
	"ACCOUNT_ALREADY_ACTIVE"		=> "Jouw account is al geactiveerd",
	"ACCOUNT_INACTIVE"			=> "Jouw account is inactief. Controleer je emails / spam folder voor instructies om je account te activeren",
	"ACCOUNT_USER_CHAR_LIMIT"		=> "Je Gebruikersnaam moet tussen %m1% en %m2% karakters lang zijn",
	"ACCOUNT_DISPLAY_CHAR_LIMIT"		=> "Je Getoonde naam moet tussen %m1% en %m2% karakters lang zijn",
	"ACCOUNT_PASS_CHAR_LIMIT"		=> "Je Wachtwoord moet tussen %m1% en %m2% karakters lang zijn",
	"ACCOUNT_TITLE_CHAR_LIMIT"		=> "Je Titel moet tussen %m1% en %m2% karakters lang zijn",
	"ACCOUNT_PASS_MISMATCH"			=> "Je Wachtwoord en de Bevestiging dienen gelijk te zijn",
	"ACCOUNT_DISPLAY_INVALID_CHARACTERS"	=> "Getoonde naam mag alleen alfanumerieke karakters bevatten",
	"ACCOUNT_USERNAME_IN_USE"		=> "Gebruikersnaam %m1% is al in gebruik",
	"ACCOUNT_DISPLAYNAME_IN_USE"		=> "Getoonde naam %m1% is al in gebruik",
	"ACCOUNT_EMAIL_IN_USE"			=> "Email adres %m1% is al in gebruik",
	"ACCOUNT_LINK_ALREADY_SENT"		=> "Er is al een activatie email gestuurd naar dit email adres in de afgelopen %m1% uren",
	"ACCOUNT_NEW_ACTIVATION_SENT"		=> "We hebben je een nieuwe activatielink gemailed, controleer je email / spam folder ",
	"ACCOUNT_SPECIFY_NEW_PASSWORD"		=> "Voer je nieuwe wachtwoord in",
	"ACCOUNT_SPECIFY_CONFIRM_PASSWORD"	=> "Bevestig je nieuwe wachtwoord",
	"ACCOUNT_NEW_PASSWORD_LENGTH"		=> "Het nieuwe wachtwoord moet tussen de %m1% en %m2% karakters lang zijn",	
	"ACCOUNT_PASSWORD_INVALID"		=> "Het huidige wachtwoord komt niet overeen met het wachtwoord dat we in onze administratie hebben",	
	"ACCOUNT_DETAILS_UPDATED"		=> "Account details opgeslagen",
	"ACCOUNT_ACTIVATION_MESSAGE"		=> "Je moet eerst je account activeren, voordat je kan inloggen. Klik op onderstaande link om je account te activeren. \n\n %m1%activate-account.php?token=%m2%",							
	"ACCOUNT_ACTIVATION_COMPLETE"		=> "Je account is geactiveerd. Je kan nu <a href=\"login.php\">hier</a> inloggen.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE1"	=> "Je bent geregistreerd. Je kan nu <a href=\"login.php\">hier</a> inloggen.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE2"	=> "Je bent geregistreerd. Je krijgt binnenkort een activatie email. Je moet je account activeren, voordat je inlogt.",
	"ACCOUNT_ADD_RIDE_COMPLETE"		=> "Rit toegevoegd. Je kan je ritten <a href=\"my_ride_overview.php\">hier</a> inzien.",	
	"ACCOUNT_CHANGE_RIDE_COMPLETE"		=> "Rit gewijzigd. Je kan je ritten <a href=\"my_ride_overview.php\">hier</a> inzien.",		
	"ACCOUNT_CHANGE_RIDE_DELETE"		=> "Rit verwijderd. Je kan je ritten <a href=\"my_ride_overview.php\">hier</a> inzien.",			
	"ACCOUNT_RIDE_SEND_MESSAGE_COMPLETE"	=> "Bericht verstuurd naar %m1%. Je kan <a href=\"index.php\">hier</a> zoeken naar andere ritten.",
	"ACCOUNT_PASSWORD_NOTHING_TO_UPDATE"	=> "Je kan niet wijzigen naar hetzelfde wachtwoord",
	"ACCOUNT_PASSWORD_UPDATED"		=> "Account wachtwoord gewijzigd",
	"ACCOUNT_EMAIL_UPDATED"			=> "Account email gewijzigd",
	"ACCOUNT_AGE_UPDATED"			=> "Leeftijd gewijzigd",
	"ACCOUNT_PHONE_UPDATED"			=> "Telefoon gewijzigd",	
	"ACCOUNT_TOKEN_NOT_FOUND"		=> "Token bestaat niet / Account is al geactiveerd",
	"ACCOUNT_USER_INVALID_CHARACTERS"	=> "Gebruikersnaam mag alleen alfanumerieke karakters bevatten",
	"ACCOUNT_DELETIONS_SUCCESSFUL"		=> "Er zijn %m1% gebruikers verwijderd, en %m2% ritten aangemaakt door deze gebruikers",
	"ACCOUNT_MANUALLY_ACTIVATED"		=> "%m1%'s account is handmatig geactiveerd",
	"ACCOUNT_DISPLAYNAME_UPDATED"		=> "Getoonde naam veranderd naar %m1%",
	"ACCOUNT_TITLE_UPDATED"			=> "%m1%'s titel veranderd naar %m2%",
	"ACCOUNT_INVALID_USERNAME"		=> "Ongeldige gebruikersnaam",
	));

//Configuration
$lang = array_merge($lang,array(
	"CONFIG_NAME_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_URL_CHAR_LIMIT"			=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_EMAIL_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_ACTIVATION_TRUE_FALSE"		=> "Email activation must be either `true` or `false`",
	"CONFIG_ACTIVATION_RESEND_RANGE"	=> "Activation Threshold must be between %m1% and %m2% hours",
	"CONFIG_LANGUAGE_CHAR_LIMIT"		=> "Language path must be between %m1% and %m2% characters in length",
	"CONFIG_LANGUAGE_INVALID"		=> "There is no file for the language key `%m1%`",
	"CONFIG_TEMPLATE_CHAR_LIMIT"		=> "Template path must be between %m1% and %m2% characters in length",
	"CONFIG_TEMPLATE_INVALID"		=> "There is no file for the template key `%m1%`",
	"CONFIG_EMAIL_INVALID"			=> "The email you have entered is not valid",
	"CONFIG_INVALID_URL_END"		=> "Please include the ending / in your site's URL",
	"CONFIG_UPDATE_SUCCESSFUL"		=> "Your site's configuration has been updated. You may need to load a new page for all the settings to take effect",
	"SQL_ERROR"				=> "Fatal SQL error",
	));

//Forgot Password
$lang = array_merge($lang,array(
	"FORGOTPASS_INVALID_TOKEN"		=> "Je activatie token is niet geldig",
	"FORGOTPASS_NEW_PASS_EMAIL"		=> "We hebben je een nieuw wachtwoord gemaild",
	"FORGOTPASS_REQUEST_CANNED"		=> "Vergeten wachtwoord verzoek geannuleerd",
	"FORGOTPASS_REQUEST_EXISTS"		=> "Er staat al een vergeten wachtwoord verzoek open voor dit account",
	"FORGOTPASS_REQUEST_SUCCESS"		=> "We hebben je instructies gemaild over hoe je weer toegang kan krijgen tot je account ",
	));

//Mail
$lang = array_merge($lang,array(
	"MAIL_ERROR"				=> "Fatal error attempting mail, contact your server administrator",
	"MAIL_TEMPLATE_BUILD_ERROR"		=> "Error building email template",
	"MAIL_TEMPLATE_DIRECTORY_ERROR"		=> "Unable to open mail-templates directory. Perhaps try setting the mail directory to %m1%",
	"MAIL_TEMPLATE_FILE_EMPTY"		=> "Template file is empty... nothing to send",
	));

//Miscellaneous
$lang = array_merge($lang,array(
	"CAPTCHA_FAIL"				=> "Incorrecte invoer Beveiligingscode",
	"CONFIRM"				=> "Bevestig",
	"DENY"					=> "Afwijzen",
	"SUCCESS"				=> "Succes",
	"ERROR"					=> "Fout",
	"NOTHING_TO_UPDATE"			=> "Er is niets gewijzigd",
	"FEATURE_DISABLED"			=> "Deze mogelijkheid is momenteel buiten werking gesteld",
	));

//Permissions
$lang = array_merge($lang,array(
	"PERMISSION_CHAR_LIMIT"			=> "Permission names must be between %m1% and %m2% characters in length",
	"PERMISSION_NAME_IN_USE"		=> "Permission name %m1% is already in use",
	"PERMISSION_DELETIONS_SUCCESSFUL"	=> "Successfully deleted %m1% permission level(s)",
	"PERMISSION_CREATION_SUCCESSFUL"	=> "Successfully created the permission level `%m1%`",
	"PERMISSION_NAME_UPDATE"		=> "Permission level name changed to `%m1%`",
	"PERMISSION_REMOVE_PAGES"		=> "Successfully removed access to %m1% page(s)",
	"PERMISSION_ADD_PAGES"			=> "Successfully added access to %m1% page(s)",
	"PERMISSION_REMOVE_USERS"		=> "Successfully removed %m1% user(s)",
	"PERMISSION_ADD_USERS"			=> "Successfully added %m1% user(s)",
	"ACCOUNT_PERMISSION_ADDED"		=> "Added access to %m1% permission levels",
	"ACCOUNT_PERMISSION_REMOVED"		=> "Removed access from %m1% permission levels",
	"PAGE_PRIVATE_TOGGLED"			=> "This page is now %m1%",
	"PAGE_ACCESS_REMOVED"			=> "Page access removed for %m1% permission level(s)",
	"PAGE_ACCESS_ADDED"			=> "Page access added for %m1% permission level(s)",
	"CANNOT_DELETE_NEWUSERS"		=> "You cannot delete the default 'new user' group",
	"CANNOT_DELETE_ADMIN"			=> "You cannot delete the default 'admin' group",
	));
?>