<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}
require_once("models/header.php");

// Pager settings
$accepted_results_per_page=array(10=>10,20=>20,50=>50,100=>100);

echo "
<body>
<div id='wrapper'>
<div id='top'><div id='logo'></div></div>
<div id='content'>
<h1>&nbsp;</h1>
".lang('MY RIDES HEADER')."
<div id='left-nav'>";
include("left-nav.php");

echo "
</div>
<div id='main'>
	<br>
	<br>
	<br>
	<br>";

	// Order by date
	$order_by=" ORDER BY `departure_date`";
	
	// Get rides from user
	$where= "`user_id_fk`='".$loggedInUser->user_id."'";

	// Get the results
	// Pager
	$o=isset($_GET['o']) ? (int)$_GET['o'] : 0;
	$r=isset($_GET['r']) ? (int)$_GET['r'] : current($accepted_results_per_page);
	$select_query="SELECT `id` FROM uc_rides WHERE ".$where.$order_by;
	$result = mysqli_query($mysqli,$select_query); 
	$totalrows = mysqli_num_rows($result);
	$output['pager2']=pager($totalrows,$o,$r);

	// Get the results
	if (!empty($totalrows)) 
	{
		if ($o>=$totalrows) 
		{
			$o=$totalrows-$r;
			$o=$o>=0 ? $o : 0;
		}
		$select_query="SELECT * FROM uc_rides WHERE ".$where.$order_by." LIMIT $o,$r";
		$result = mysqli_query($mysqli,$select_query); 
	}

	// Show results in table
	echo "
		<table width = '925px' border='1' class='rides'>
		<th width = '60px'>".lang('RESULTS HEADER DATE')."</th>
		<th width = '120px'>".lang('RESULTS HEADER FROM')."</th>
		<th width = '120px'>".lang('RESULTS HEADER TO')."</th>
		<th width = '40px'>".lang('RESULTS HEADER TYPE')."</th>
		<th width = '30px'>".lang('RESULTS HEADER SPACES')."</th>
		<th width = '85px'>".lang('RESULTS HEADER TIME')."</th>
		<th width = '40px'>".lang('RESULTS HEADER EDIT')."</th>
		";

	while($row = mysqli_fetch_array($result))
	{
		// Max length locations
		$from_string = $row['from_country'].", ".$row['from_location'];
		$from_string = (strlen($from_string) > 24) ? substr($from_string,0,21).'...' : $from_string;
		$to_string = $row['to_country'].", ".$row['to_location'];
		$to_string = (strlen($to_string) > 24) ? substr($to_string,0,21).'...' : $to_string;

		echo "<tr><td width = '60px' class='spaces'>";  
		echo $row['departure_date'];
		echo "</td>";
		echo "<td width = '120px'>";
		echo $from_string;
		echo "</td>";
		echo "<td width = '120px'>";
		echo $to_string;
		echo "</td>";
		echo "<td width = '40px' class='spaces'>";
		echo lang($row['offer_request']);
		echo "</td>";
		echo "<td width = '30px' class='spaces'>";
		echo $row['number_spaces'];
		echo "</td>";
		echo "<td width = '85px'>";
		echo $row['departure_time'];
		echo "</td>";
		echo "<td width = '40px'>";
		echo "<a href='my_ride_edit.php?ride_id=".$row['id']."'>".lang('RESULTS ROW EDIT')."</a>";
		echo "</td></tr>";		
	}
	echo "</table>";


	$number = $mysqli->affected_rows;
	if($number==0) // No rides found
	{
		echo lang('YOU HAVE NO RIDES');
	}
	else	// Show pager if more than 10 results
	{
		if($totalrows>=11)
		{
			echo"<table width = '925px' border='0' class='pager'><tr><td>";
			echo $output['pager2'];
			echo"</td></tr></table>";
		}
	}

echo"
</div>
<div id='bottom'></div>
</div>
</body>
</html>";

?>
