<?php 
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/
require_once("../models/db-settings.php");

echo "
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
<meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
<title>ShareTheRide</title>
<link href='../models/site-templates/default.css' rel='stylesheet' type='text/css' />
<script src='../models/funcs.js' type='text/javascript'>
</script>
</head>
<body>
<div id='top'><div id='logo'></div></div>
<div id='content'>
<h1>&nbsp;</h1>
<h2>Installer</h2>";	

if(isset($_GET["install"]))
{
	$db_issue = false;
	
	
	// Preparing
	$permissions_sql = "
	CREATE TABLE IF NOT EXISTS `".$db_table_prefix."permissions` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` varchar(150) NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
	";
	
	$permissions_entry = "
	INSERT INTO `".$db_table_prefix."permissions` (`id`, `name`) VALUES
	(1, 'New Member'),
	(2, 'Administrator');
	";
	
	$users_sql = "
	CREATE TABLE IF NOT EXISTS `".$db_table_prefix."users` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`user_name` varchar(50) NOT NULL,
	`display_name` varchar(50) NOT NULL,
	`password` varchar(225) NOT NULL,
	`email` varchar(150) NOT NULL,
	`activation_token` varchar(225) NOT NULL,
	`last_activation_request` int(11) NOT NULL,
	`lost_password_request` tinyint(1) NOT NULL,
	`active` tinyint(1) NOT NULL,
	`title` varchar(150) NOT NULL,
	`sign_up_stamp` int(11) NOT NULL,
	`last_sign_in_stamp` int(11) NOT NULL,
	`age` int(11) DEFAULT NULL,
	`phone` text NOT NULL,
	`gender` text NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
	";
	
	$user_permission_matches_sql = "
	CREATE TABLE IF NOT EXISTS `".$db_table_prefix."user_permission_matches` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`user_id` int(11) NOT NULL,
	`permission_id` int(11) NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;
	";
	
	$user_permission_matches_entry = "
	INSERT INTO `".$db_table_prefix."user_permission_matches` (`id`, `user_id`, `permission_id`) VALUES
	(1, 1, 2),
	(2, 1, 1),
	(3, 2, 1),
	(5, 0, 1),
	(6, 0, 1),
	(7, 0, 1),
	(8, 0, 1),
	(10, 5, 1);
	";
	
	$configuration_sql = "
	CREATE TABLE IF NOT EXISTS `".$db_table_prefix."configuration` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` varchar(150) NOT NULL,
	`value` varchar(150) NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;
	";
	
	$configuration_entry = "
	INSERT INTO `".$db_table_prefix."configuration` (`id`, `name`, `value`) VALUES
	(1, 'website_name', 'Your Website Name'),
	(2, 'website_url', 'http://www.yourdomain.com'),
	(3, 'email', 'noreply@yourdomain.com'),
	(4, 'activation', 'false'),
	(5, 'resend_activation_threshold', '0'),
	(6, 'language', 'models/languages/en.php'),
	(7, 'template', 'models/site-templates/default.css');
	";
	
	$pages_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."pages` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`page` varchar(150) NOT NULL,
	`private` tinyint(1) NOT NULL DEFAULT '0',
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=22 ;
	";
	
	$pages_entry = "INSERT INTO `".$db_table_prefix."pages` (`id`, `page`, `private`) VALUES
	(1, 'account.php', 1),
	(2, 'activate-account.php', 0),
	(3, 'admin_configuration.php', 1),
	(4, 'admin_page.php', 1),
	(5, 'admin_pages.php', 1),
	(6, 'admin_permission.php', 1),
	(7, 'admin_permissions.php', 1),
	(8, 'admin_user.php', 1),
	(9, 'admin_users.php', 1),
	(10, 'forgot-password.php', 0),
	(11, 'index.php', 0),
	(12, 'left-nav.php', 0),
	(13, 'login.php', 0),
	(14, 'logout.php', 1),
	(15, 'register.php', 0),
	(16, 'resend-activation.php', 0),
	(17, 'user_settings.php', 1),
	(18, 'my_ride_overview.php', 1),
	(19, 'my_ride_add.php', 1),
	(20, 'ride.php', 1),
	(21, 'my_ride_edit.php', 1);
	";
	
	$permission_page_matches_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."permission_page_matches` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`permission_id` int(11) NOT NULL,
	`page_id` int(11) NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=27 ;
	";
	
	$permission_page_matches_entry = "INSERT INTO `".$db_table_prefix."permission_page_matches` (`id`, `permission_id`, `page_id`) VALUES
	(1, 1, 1),
	(2, 1, 14),
	(3, 1, 17),
	(4, 2, 1),
	(5, 2, 3),
	(6, 2, 4),
	(7, 2, 5),
	(8, 2, 6),
	(9, 2, 7),
	(10, 2, 8),
	(11, 2, 9),
	(12, 2, 14),
	(13, 2, 17),
	(23, 1, 18),
	(24, 1, 19),
	(25, 1, 20),
	(26, 1, 21);
	";
	
	$continents_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."continents` (
	  `code` char(2) COLLATE latin1_general_ci NOT NULL COMMENT 'Continent code',
	  `name` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
	  PRIMARY KEY (`code`)
	) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
	";
	
	$continents_entry = "INSERT INTO `".$db_table_prefix."continents` (`code`, `name`) VALUES
	('AF', 'Africa'),
	('AN', 'Antarctica'),
	('AS', 'Asia'),
	('EU', 'Europe'),
	('NA', 'North America'),
	('OC', 'Oceania'),
	('SA', 'South America');
	";

	$countries_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."countries` (
	  `code` char(2) COLLATE latin1_general_ci NOT NULL COMMENT 'Two-letter country code (ISO 3166-1 alpha-2)',
	  `name` varchar(255) COLLATE latin1_general_ci NOT NULL COMMENT 'English country name',
	  `full_name` varchar(255) COLLATE latin1_general_ci NOT NULL COMMENT 'Full English country name',
	  `iso3` char(3) COLLATE latin1_general_ci NOT NULL COMMENT 'Three-letter country code (ISO 3166-1 alpha-3)',
	  `number` smallint(3) unsigned zerofill NOT NULL COMMENT 'Three-digit country number (ISO 3166-1 numeric)',
	  `continent_code` char(2) COLLATE latin1_general_ci NOT NULL,
	  PRIMARY KEY (`code`),
	  KEY `continent_code` (`continent_code`)
	) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
	";
	
	$countries_entry = "INSERT INTO `".$db_table_prefix."countries` (`code`, `name`, `full_name`, `iso3`, `number`, `continent_code`) VALUES
	('AD', 'Andorra', 'Principality of Andorra', 'AND', 020, 'EU'),
	('AE', 'United Arab Emirates', 'United Arab Emirates', 'ARE', 784, 'AS'),
	('AF', 'Afghanistan', 'Islamic Republic of Afghanistan', 'AFG', 004, 'AS'),
	('AG', 'Antigua and Barbuda', 'Antigua and Barbuda', 'ATG', 028, 'NA'),
	('AI', 'Anguilla', 'Anguilla', 'AIA', 660, 'NA'),
	('AL', 'Albania', 'Republic of Albania', 'ALB', 008, 'EU'),
	('AM', 'Armenia', 'Republic of Armenia', 'ARM', 051, 'AS'),
	('AO', 'Angola', 'Republic of Angola', 'AGO', 024, 'AF'),
	('AQ', 'Antarctica', 'Antarctica (the territory South of 60 deg S)', 'ATA', 010, 'AN'),
	('AR', 'Argentina', 'Argentine Republic', 'ARG', 032, 'SA'),
	('AS', 'American Samoa', 'American Samoa', 'ASM', 016, 'OC'),
	('AT', 'Austria', 'Republic of Austria', 'AUT', 040, 'EU'),
	('AU', 'Australia', 'Commonwealth of Australia', 'AUS', 036, 'OC'),
	('AW', 'Aruba', 'Aruba', 'ABW', 533, 'NA'),
	('AX', 'Aland Islands', 'Aland Islands', 'ALA', 248, 'EU'),
	('AZ', 'Azerbaijan', 'Republic of Azerbaijan', 'AZE', 031, 'AS'),
	('BA', 'Bosnia and Herzegovina', 'Bosnia and Herzegovina', 'BIH', 070, 'EU'),
	('BB', 'Barbados', 'Barbados', 'BRB', 052, 'NA'),
	('BD', 'Bangladesh', 'People''s Republic of Bangladesh', 'BGD', 050, 'AS'),
	('BE', 'Belgium', 'Kingdom of Belgium', 'BEL', 056, 'EU'),
	('BF', 'Burkina Faso', 'Burkina Faso', 'BFA', 854, 'AF'),
	('BG', 'Bulgaria', 'Republic of Bulgaria', 'BGR', 100, 'EU'),
	('BH', 'Bahrain', 'Kingdom of Bahrain', 'BHR', 048, 'AS'),
	('BI', 'Burundi', 'Republic of Burundi', 'BDI', 108, 'AF'),
	('BJ', 'Benin', 'Republic of Benin', 'BEN', 204, 'AF'),
	('BL', 'Saint Barthelemy', 'Saint Barthelemy', 'BLM', 652, 'NA'),
	('BM', 'Bermuda', 'Bermuda', 'BMU', 060, 'NA'),
	('BN', 'Brunei Darussalam', 'Brunei Darussalam', 'BRN', 096, 'AS'),
	('BO', 'Bolivia', 'Plurinational State of Bolivia', 'BOL', 068, 'SA'),
	('BQ', 'Bonaire, Sint Eustatius and Saba', 'Bonaire, Sint Eustatius and Saba', 'BES', 535, 'NA'),
	('BR', 'Brazil', 'Federative Republic of Brazil', 'BRA', 076, 'SA'),
	('BS', 'Bahamas', 'Commonwealth of the Bahamas', 'BHS', 044, 'NA'),
	('BT', 'Bhutan', 'Kingdom of Bhutan', 'BTN', 064, 'AS'),
	('BV', 'Bouvet Island (Bouvetoya)', 'Bouvet Island (Bouvetoya)', 'BVT', 074, 'AN'),
	('BW', 'Botswana', 'Republic of Botswana', 'BWA', 072, 'AF'),
	('BY', 'Belarus', 'Republic of Belarus', 'BLR', 112, 'EU'),
	('BZ', 'Belize', 'Belize', 'BLZ', 084, 'NA'),
	('CA', 'Canada', 'Canada', 'CAN', 124, 'NA'),
	('CC', 'Cocos (Keeling) Islands', 'Cocos (Keeling) Islands', 'CCK', 166, 'AS'),
	('CD', 'Congo', 'Democratic Republic of the Congo', 'COD', 180, 'AF'),
	('CF', 'Central African Republic', 'Central African Republic', 'CAF', 140, 'AF'),
	('CG', 'Congo', 'Republic of the Congo', 'COG', 178, 'AF'),
	('CH', 'Switzerland', 'Swiss Confederation', 'CHE', 756, 'EU'),
	('CI', 'Cote d''Ivoire', 'Republic of Cote d''Ivoire', 'CIV', 384, 'AF'),
	('CK', 'Cook Islands', 'Cook Islands', 'COK', 184, 'OC'),
	('CL', 'Chile', 'Republic of Chile', 'CHL', 152, 'SA'),
	('CM', 'Cameroon', 'Republic of Cameroon', 'CMR', 120, 'AF'),
	('CN', 'China', 'People''s Republic of China', 'CHN', 156, 'AS'),
	('CO', 'Colombia', 'Republic of Colombia', 'COL', 170, 'SA'),
	('CR', 'Costa Rica', 'Republic of Costa Rica', 'CRI', 188, 'NA'),
	('CU', 'Cuba', 'Republic of Cuba', 'CUB', 192, 'NA'),
	('CV', 'Cape Verde', 'Republic of Cape Verde', 'CPV', 132, 'AF'),
	('CW', 'Curacao', 'Curacao', 'CUW', 531, 'NA'),
	('CX', 'Christmas Island', 'Christmas Island', 'CXR', 162, 'AS'),
	('CY', 'Cyprus', 'Republic of Cyprus', 'CYP', 196, 'AS'),
	('CZ', 'Czech Republic', 'Czech Republic', 'CZE', 203, 'EU'),
	('DE', 'Germany', 'Federal Republic of Germany', 'DEU', 276, 'EU'),
	('DJ', 'Djibouti', 'Republic of Djibouti', 'DJI', 262, 'AF'),
	('DK', 'Denmark', 'Kingdom of Denmark', 'DNK', 208, 'EU'),
	('DM', 'Dominica', 'Commonwealth of Dominica', 'DMA', 212, 'NA'),
	('DO', 'Dominican Republic', 'Dominican Republic', 'DOM', 214, 'NA'),
	('DZ', 'Algeria', 'People''s Democratic Republic of Algeria', 'DZA', 012, 'AF'),
	('EC', 'Ecuador', 'Republic of Ecuador', 'ECU', 218, 'SA'),
	('EE', 'Estonia', 'Republic of Estonia', 'EST', 233, 'EU'),
	('EG', 'Egypt', 'Arab Republic of Egypt', 'EGY', 818, 'AF'),
	('EH', 'Western Sahara', 'Western Sahara', 'ESH', 732, 'AF'),
	('ER', 'Eritrea', 'State of Eritrea', 'ERI', 232, 'AF'),
	('ES', 'Spain', 'Kingdom of Spain', 'ESP', 724, 'EU'),
	('ET', 'Ethiopia', 'Federal Democratic Republic of Ethiopia', 'ETH', 231, 'AF'),
	('FI', 'Finland', 'Republic of Finland', 'FIN', 246, 'EU'),
	('FJ', 'Fiji', 'Republic of Fiji', 'FJI', 242, 'OC'),
	('FK', 'Falkland Islands (Malvinas)', 'Falkland Islands (Malvinas)', 'FLK', 238, 'SA'),
	('FM', 'Micronesia', 'Federated States of Micronesia', 'FSM', 583, 'OC'),
	('FO', 'Faroe Islands', 'Faroe Islands', 'FRO', 234, 'EU'),
	('FR', 'France', 'French Republic', 'FRA', 250, 'EU'),
	('GA', 'Gabon', 'Gabonese Republic', 'GAB', 266, 'AF'),
	('GB', 'United Kingdom', 'United Kingdom of Great Britain & Northern Ireland', 'GBR', 826, 'EU'),
	('GD', 'Grenada', 'Grenada', 'GRD', 308, 'NA'),
	('GE', 'Georgia', 'Georgia', 'GEO', 268, 'AS'),
	('GF', 'French Guiana', 'French Guiana', 'GUF', 254, 'SA'),
	('GG', 'Guernsey', 'Bailiwick of Guernsey', 'GGY', 831, 'EU'),
	('GH', 'Ghana', 'Republic of Ghana', 'GHA', 288, 'AF'),
	('GI', 'Gibraltar', 'Gibraltar', 'GIB', 292, 'EU'),
	('GL', 'Greenland', 'Greenland', 'GRL', 304, 'NA'),
	('GM', 'Gambia', 'Republic of the Gambia', 'GMB', 270, 'AF'),
	('GN', 'Guinea', 'Republic of Guinea', 'GIN', 324, 'AF'),
	('GP', 'Guadeloupe', 'Guadeloupe', 'GLP', 312, 'NA'),
	('GQ', 'Equatorial Guinea', 'Republic of Equatorial Guinea', 'GNQ', 226, 'AF'),
	('GR', 'Greece', 'Hellenic Republic Greece', 'GRC', 300, 'EU'),
	('GS', 'South Georgia and the South Sandwich Islands', 'South Georgia and the South Sandwich Islands', 'SGS', 239, 'AN'),
	('GT', 'Guatemala', 'Republic of Guatemala', 'GTM', 320, 'NA'),
	('GU', 'Guam', 'Guam', 'GUM', 316, 'OC'),
	('GW', 'Guinea-Bissau', 'Republic of Guinea-Bissau', 'GNB', 624, 'AF'),
	('GY', 'Guyana', 'Co-operative Republic of Guyana', 'GUY', 328, 'SA'),
	('HK', 'Hong Kong', 'Hong Kong Special Administrative Region of China', 'HKG', 344, 'AS'),
	('HM', 'Heard Island and McDonald Islands', 'Heard Island and McDonald Islands', 'HMD', 334, 'AN'),
	('HN', 'Honduras', 'Republic of Honduras', 'HND', 340, 'NA'),
	('HR', 'Croatia', 'Republic of Croatia', 'HRV', 191, 'EU'),
	('HT', 'Haiti', 'Republic of Haiti', 'HTI', 332, 'NA'),
	('HU', 'Hungary', 'Hungary', 'HUN', 348, 'EU'),
	('ID', 'Indonesia', 'Republic of Indonesia', 'IDN', 360, 'AS'),
	('IE', 'Ireland', 'Ireland', 'IRL', 372, 'EU'),
	('IL', 'Israel', 'State of Israel', 'ISR', 376, 'AS'),
	('IM', 'Isle of Man', 'Isle of Man', 'IMN', 833, 'EU'),
	('IN', 'India', 'Republic of India', 'IND', 356, 'AS'),
	('IO', 'British Indian Ocean Territory (Chagos Archipelago)', 'British Indian Ocean Territory (Chagos Archipelago)', 'IOT', 086, 'AS'),
	('IQ', 'Iraq', 'Republic of Iraq', 'IRQ', 368, 'AS'),
	('IR', 'Iran', 'Islamic Republic of Iran', 'IRN', 364, 'AS'),
	('IS', 'Iceland', 'Republic of Iceland', 'ISL', 352, 'EU'),
	('IT', 'Italy', 'Italian Republic', 'ITA', 380, 'EU'),
	('JE', 'Jersey', 'Bailiwick of Jersey', 'JEY', 832, 'EU'),
	('JM', 'Jamaica', 'Jamaica', 'JAM', 388, 'NA'),
	('JO', 'Jordan', 'Hashemite Kingdom of Jordan', 'JOR', 400, 'AS'),
	('JP', 'Japan', 'Japan', 'JPN', 392, 'AS'),
	('KE', 'Kenya', 'Republic of Kenya', 'KEN', 404, 'AF'),
	('KG', 'Kyrgyz Republic', 'Kyrgyz Republic', 'KGZ', 417, 'AS'),
	('KH', 'Cambodia', 'Kingdom of Cambodia', 'KHM', 116, 'AS'),
	('KI', 'Kiribati', 'Republic of Kiribati', 'KIR', 296, 'OC'),
	('KM', 'Comoros', 'Union of the Comoros', 'COM', 174, 'AF'),
	('KN', 'Saint Kitts and Nevis', 'Federation of Saint Kitts and Nevis', 'KNA', 659, 'NA'),
	('KP', 'Korea', 'Democratic People''s Republic of Korea', 'PRK', 408, 'AS'),
	('KR', 'Korea', 'Republic of Korea', 'KOR', 410, 'AS'),
	('KW', 'Kuwait', 'State of Kuwait', 'KWT', 414, 'AS'),
	('KY', 'Cayman Islands', 'Cayman Islands', 'CYM', 136, 'NA'),
	('KZ', 'Kazakhstan', 'Republic of Kazakhstan', 'KAZ', 398, 'AS'),
	('LA', 'Lao People''s Democratic Republic', 'Lao People''s Democratic Republic', 'LAO', 418, 'AS'),
	('LB', 'Lebanon', 'Lebanese Republic', 'LBN', 422, 'AS'),
	('LC', 'Saint Lucia', 'Saint Lucia', 'LCA', 662, 'NA'),
	('LI', 'Liechtenstein', 'Principality of Liechtenstein', 'LIE', 438, 'EU'),
	('LK', 'Sri Lanka', 'Democratic Socialist Republic of Sri Lanka', 'LKA', 144, 'AS'),
	('LR', 'Liberia', 'Republic of Liberia', 'LBR', 430, 'AF'),
	('LS', 'Lesotho', 'Kingdom of Lesotho', 'LSO', 426, 'AF'),
	('LT', 'Lithuania', 'Republic of Lithuania', 'LTU', 440, 'EU'),
	('LU', 'Luxembourg', 'Grand Duchy of Luxembourg', 'LUX', 442, 'EU'),
	('LV', 'Latvia', 'Republic of Latvia', 'LVA', 428, 'EU'),
	('LY', 'Libya', 'Libya', 'LBY', 434, 'AF'),
	('MA', 'Morocco', 'Kingdom of Morocco', 'MAR', 504, 'AF'),
	('MC', 'Monaco', 'Principality of Monaco', 'MCO', 492, 'EU'),
	('MD', 'Moldova', 'Republic of Moldova', 'MDA', 498, 'EU'),
	('ME', 'Montenegro', 'Montenegro', 'MNE', 499, 'EU'),
	('MF', 'Saint Martin', 'Saint Martin (French part)', 'MAF', 663, 'NA'),
	('MG', 'Madagascar', 'Republic of Madagascar', 'MDG', 450, 'AF'),
	('MH', 'Marshall Islands', 'Republic of the Marshall Islands', 'MHL', 584, 'OC'),
	('MK', 'Macedonia', 'Republic of Macedonia', 'MKD', 807, 'EU'),
	('ML', 'Mali', 'Republic of Mali', 'MLI', 466, 'AF'),
	('MM', 'Myanmar', 'Republic of the Union of Myanmar', 'MMR', 104, 'AS'),
	('MN', 'Mongolia', 'Mongolia', 'MNG', 496, 'AS'),
	('MO', 'Macao', 'Macao Special Administrative Region of China', 'MAC', 446, 'AS'),
	('MP', 'Northern Mariana Islands', 'Commonwealth of the Northern Mariana Islands', 'MNP', 580, 'OC'),
	('MQ', 'Martinique', 'Martinique', 'MTQ', 474, 'NA'),
	('MR', 'Mauritania', 'Islamic Republic of Mauritania', 'MRT', 478, 'AF'),
	('MS', 'Montserrat', 'Montserrat', 'MSR', 500, 'NA'),
	('MT', 'Malta', 'Republic of Malta', 'MLT', 470, 'EU'),
	('MU', 'Mauritius', 'Republic of Mauritius', 'MUS', 480, 'AF'),
	('MV', 'Maldives', 'Republic of Maldives', 'MDV', 462, 'AS'),
	('MW', 'Malawi', 'Republic of Malawi', 'MWI', 454, 'AF'),
	('MX', 'Mexico', 'United Mexican States', 'MEX', 484, 'NA'),
	('MY', 'Malaysia', 'Malaysia', 'MYS', 458, 'AS'),
	('MZ', 'Mozambique', 'Republic of Mozambique', 'MOZ', 508, 'AF'),
	('NA', 'Namibia', 'Republic of Namibia', 'NAM', 516, 'AF'),
	('NC', 'New Caledonia', 'New Caledonia', 'NCL', 540, 'OC'),
	('NE', 'Niger', 'Republic of Niger', 'NER', 562, 'AF'),
	('NF', 'Norfolk Island', 'Norfolk Island', 'NFK', 574, 'OC'),
	('NG', 'Nigeria', 'Federal Republic of Nigeria', 'NGA', 566, 'AF'),
	('NI', 'Nicaragua', 'Republic of Nicaragua', 'NIC', 558, 'NA'),
	('NL', 'Netherlands', 'Kingdom of the Netherlands', 'NLD', 528, 'EU'),
	('NO', 'Norway', 'Kingdom of Norway', 'NOR', 578, 'EU'),
	('NP', 'Nepal', 'Federal Democratic Republic of Nepal', 'NPL', 524, 'AS'),
	('NR', 'Nauru', 'Republic of Nauru', 'NRU', 520, 'OC'),
	('NU', 'Niue', 'Niue', 'NIU', 570, 'OC'),
	('NZ', 'New Zealand', 'New Zealand', 'NZL', 554, 'OC'),
	('OM', 'Oman', 'Sultanate of Oman', 'OMN', 512, 'AS'),
	('PA', 'Panama', 'Republic of Panama', 'PAN', 591, 'NA'),
	('PE', 'Peru', 'Republic of Peru', 'PER', 604, 'SA'),
	('PF', 'French Polynesia', 'French Polynesia', 'PYF', 258, 'OC'),
	('PG', 'Papua New Guinea', 'Independent State of Papua New Guinea', 'PNG', 598, 'OC'),
	('PH', 'Philippines', 'Republic of the Philippines', 'PHL', 608, 'AS'),
	('PK', 'Pakistan', 'Islamic Republic of Pakistan', 'PAK', 586, 'AS'),
	('PL', 'Poland', 'Republic of Poland', 'POL', 616, 'EU'),
	('PM', 'Saint Pierre and Miquelon', 'Saint Pierre and Miquelon', 'SPM', 666, 'NA'),
	('PN', 'Pitcairn Islands', 'Pitcairn Islands', 'PCN', 612, 'OC'),
	('PR', 'Puerto Rico', 'Commonwealth of Puerto Rico', 'PRI', 630, 'NA'),
	('PS', 'Palestinian Territory', 'Occupied Palestinian Territory', 'PSE', 275, 'AS'),
	('PT', 'Portugal', 'Portuguese Republic', 'PRT', 620, 'EU'),
	('PW', 'Palau', 'Republic of Palau', 'PLW', 585, 'OC'),
	('PY', 'Paraguay', 'Republic of Paraguay', 'PRY', 600, 'SA'),
	('QA', 'Qatar', 'State of Qatar', 'QAT', 634, 'AS'),
	('RE', 'Reunion', 'Reunion', 'REU', 638, 'AF'),
	('RO', 'Romania', 'Romania', 'ROU', 642, 'EU'),
	('RS', 'Serbia', 'Republic of Serbia', 'SRB', 688, 'EU'),
	('RU', 'Russian Federation', 'Russian Federation', 'RUS', 643, 'EU'),
	('RW', 'Rwanda', 'Republic of Rwanda', 'RWA', 646, 'AF'),
	('SA', 'Saudi Arabia', 'Kingdom of Saudi Arabia', 'SAU', 682, 'AS'),
	('SB', 'Solomon Islands', 'Solomon Islands', 'SLB', 090, 'OC'),
	('SC', 'Seychelles', 'Republic of Seychelles', 'SYC', 690, 'AF'),
	('SD', 'Sudan', 'Republic of Sudan', 'SDN', 729, 'AF'),
	('SE', 'Sweden', 'Kingdom of Sweden', 'SWE', 752, 'EU'),
	('SG', 'Singapore', 'Republic of Singapore', 'SGP', 702, 'AS'),
	('SH', 'Saint Helena, Ascension and Tristan da Cunha', 'Saint Helena, Ascension and Tristan da Cunha', 'SHN', 654, 'AF'),
	('SI', 'Slovenia', 'Republic of Slovenia', 'SVN', 705, 'EU'),
	('SJ', 'Svalbard & Jan Mayen Islands', 'Svalbard & Jan Mayen Islands', 'SJM', 744, 'EU'),
	('SK', 'Slovakia (Slovak Republic)', 'Slovakia (Slovak Republic)', 'SVK', 703, 'EU'),
	('SL', 'Sierra Leone', 'Republic of Sierra Leone', 'SLE', 694, 'AF'),
	('SM', 'San Marino', 'Republic of San Marino', 'SMR', 674, 'EU'),
	('SN', 'Senegal', 'Republic of Senegal', 'SEN', 686, 'AF'),
	('SO', 'Somalia', 'Somali Republic', 'SOM', 706, 'AF'),
	('SR', 'Suriname', 'Republic of Suriname', 'SUR', 740, 'SA'),
	('SS', 'South Sudan', 'Republic of South Sudan', 'SSD', 728, 'AF'),
	('ST', 'Sao Tome and Principe', 'Democratic Republic of Sao Tome and Principe', 'STP', 678, 'AF'),
	('SV', 'El Salvador', 'Republic of El Salvador', 'SLV', 222, 'NA'),
	('SX', 'Sint Maarten (Dutch part)', 'Sint Maarten (Dutch part)', 'SXM', 534, 'NA'),
	('SY', 'Syrian Arab Republic', 'Syrian Arab Republic', 'SYR', 760, 'AS'),
	('SZ', 'Swaziland', 'Kingdom of Swaziland', 'SWZ', 748, 'AF'),
	('TC', 'Turks and Caicos Islands', 'Turks and Caicos Islands', 'TCA', 796, 'NA'),
	('TD', 'Chad', 'Republic of Chad', 'TCD', 148, 'AF'),
	('TF', 'French Southern Territories', 'French Southern Territories', 'ATF', 260, 'AN'),
	('TG', 'Togo', 'Togolese Republic', 'TGO', 768, 'AF'),
	('TH', 'Thailand', 'Kingdom of Thailand', 'THA', 764, 'AS'),
	('TJ', 'Tajikistan', 'Republic of Tajikistan', 'TJK', 762, 'AS'),
	('TK', 'Tokelau', 'Tokelau', 'TKL', 772, 'OC'),
	('TL', 'Timor-Leste', 'Democratic Republic of Timor-Leste', 'TLS', 626, 'AS'),
	('TM', 'Turkmenistan', 'Turkmenistan', 'TKM', 795, 'AS'),
	('TN', 'Tunisia', 'Tunisian Republic', 'TUN', 788, 'AF'),
	('TO', 'Tonga', 'Kingdom of Tonga', 'TON', 776, 'OC'),
	('TR', 'Turkey', 'Republic of Turkey', 'TUR', 792, 'AS'),
	('TT', 'Trinidad and Tobago', 'Republic of Trinidad and Tobago', 'TTO', 780, 'NA'),
	('TV', 'Tuvalu', 'Tuvalu', 'TUV', 798, 'OC'),
	('TW', 'Taiwan', 'Taiwan, Province of China', 'TWN', 158, 'AS'),
	('TZ', 'Tanzania', 'United Republic of Tanzania', 'TZA', 834, 'AF'),
	('UA', 'Ukraine', 'Ukraine', 'UKR', 804, 'EU'),
	('UG', 'Uganda', 'Republic of Uganda', 'UGA', 800, 'AF'),
	('UM', 'United States Minor Outlying Islands', 'United States Minor Outlying Islands', 'UMI', 581, 'OC'),
	('US', 'United States of America', 'United States of America', 'USA', 840, 'NA'),
	('UY', 'Uruguay', 'Eastern Republic of Uruguay', 'URY', 858, 'SA'),
	('UZ', 'Uzbekistan', 'Republic of Uzbekistan', 'UZB', 860, 'AS'),
	('VA', 'Holy See (Vatican City State)', 'Holy See (Vatican City State)', 'VAT', 336, 'EU'),
	('VC', 'Saint Vincent and the Grenadines', 'Saint Vincent and the Grenadines', 'VCT', 670, 'NA'),
	('VE', 'Venezuela', 'Bolivarian Republic of Venezuela', 'VEN', 862, 'SA'),
	('VG', 'British Virgin Islands', 'British Virgin Islands', 'VGB', 092, 'NA'),
	('VI', 'United States Virgin Islands', 'United States Virgin Islands', 'VIR', 850, 'NA'),
	('VN', 'Vietnam', 'Socialist Republic of Vietnam', 'VNM', 704, 'AS'),
	('VU', 'Vanuatu', 'Republic of Vanuatu', 'VUT', 548, 'OC'),
	('WF', 'Wallis and Futuna', 'Wallis and Futuna', 'WLF', 876, 'OC'),
	('WS', 'Samoa', 'Independent State of Samoa', 'WSM', 882, 'OC'),
	('YE', 'Yemen', 'Yemen', 'YEM', 887, 'AS'),
	('YT', 'Mayotte', 'Mayotte', 'MYT', 175, 'AF'),
	('ZA', 'South Africa', 'Republic of South Africa', 'ZAF', 710, 'AF'),
	('ZM', 'Zambia', 'Republic of Zambia', 'ZMB', 894, 'AF'),
	('ZW', 'Zimbabwe', 'Republic of Zimbabwe', 'ZWE', 716, 'AF');
	";
	
	$number_spaces_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."number_spaces` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `number` text COLLATE latin1_general_ci NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=12 ;
	";
	
	$number_spaces_entry = "INSERT INTO `".$db_table_prefix."number_spaces` (`id`, `number`) VALUES
	(1, '-'),
	(2, '1'),
	(3, '2'),
	(4, '3'),
	(5, '4'),
	(6, '5'),
	(7, '6'),
	(8, '7'),
	(9, '8'),
	(10, '9'),
	(11, '10');
	";	
	
	$rides_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."rides` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `user_id_fk` int(11) NOT NULL,
	  `offer_request` text COLLATE latin1_general_ci NOT NULL,
	  `departure_date` date NOT NULL,
	  `departure_time` text COLLATE latin1_general_ci NOT NULL,
	  `from_country` text COLLATE latin1_general_ci NOT NULL,
	  `from_location` text COLLATE latin1_general_ci NOT NULL,
	  `to_country` text COLLATE latin1_general_ci NOT NULL,
	  `to_location` text COLLATE latin1_general_ci NOT NULL,
	  `number_spaces` text COLLATE latin1_general_ci NOT NULL,
	  `note` text COLLATE latin1_general_ci NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
	";
	
	$time_hours_sql = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."time_hours` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `hour` text COLLATE latin1_general_ci NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=27 ;
	";
	
	$time_hours_entry = "INSERT INTO `".$db_table_prefix."time_hours` (`id`, `hour`) VALUES
	(1, '-'),
	(2, '00:00 (0:00 AM)'),
	(3, '01:00 (1:00 AM)'),
	(4, '02:00 (2:00 AM)'),
	(5, '03:00 (3:00 AM)'),
	(6, '04:00 (4:00 AM)'),
	(7, '05:00 (5:00 AM)'),
	(8, '06:00 (6:00 AM)'),
	(9, '07:00 (7:00 AM)'),
	(10, '08:00 (8:00 AM)'),
	(11, '09:00 (9:00 AM)'),
	(12, '10:00 (10:00 AM)'),
	(13, '11:00 (11:00 AM)'),
	(14, '12:00 (12:00 AM)'),
	(15, '13:00 (1:00 PM)'),
	(16, '14:00 (2:00 PM)'),
	(17, '15:00 (3:00 PM)'),
	(18, '16:00 (4:00 PM)'),
	(19, '17:00 (5:00 PM)'),
	(20, '18:00 (6:00 PM)'),
	(21, '19:00 (7:00 PM)'),
	(22, '20:00 (8:00 PM)'),
	(23, '21:00 (9:00 PM)'),
	(24, '22:00 (10:00 PM)'),
	(25, '23:00 (11:00 PM)');
	";	
	

	// Execute
	$stmt = $mysqli->prepare($configuration_sql);
	if($stmt->execute())
	{
		$cfg_result = "<p>".$db_table_prefix."configuration table created.....</p>";
	}
	else
	{
		$cfg_result = "<p>Error constructing ".$db_table_prefix."configuration table.</p>";
		$db_issue = true;
	}
	
	echo $cfg_result;
	$stmt = $mysqli->prepare($configuration_entry);
	if($stmt->execute())
	{
		echo "<p>Inserted basic config settings into ".$db_table_prefix."configuration table.....</p>";
	}
	else
	{
		echo "<p>Error inserting config settings access.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($permissions_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."permissions table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing ".$db_table_prefix."permissions table.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($permissions_entry);
	if($stmt->execute())
	{
		echo "<p>Inserted 'New Member' and 'Admin' groups into ".$db_table_prefix."permissions table.....</p>";
	}
	else
	{
		echo "<p>Error inserting permissions.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($user_permission_matches_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."user_permission_matches table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing ".$db_table_prefix."user_permission_matches table.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($user_permission_matches_entry);
	if($stmt->execute())
	{
		echo "<p>Added 'Admin' entry for first user in ".$db_table_prefix."user_permission_matches table.....</p>";
	}
	else
	{
		echo "<p>Error inserting admin into ".$db_table_prefix."user_permission_matches.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($pages_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."pages table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing ".$db_table_prefix."pages table.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($pages_entry);
	if($stmt->execute())
	{
		echo "<p>Added default pages to ".$db_table_prefix."pages table.....</p>";
	}
	else
	{
		echo "<p>Error inserting pages into ".$db_table_prefix."pages.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($permission_page_matches_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."permission_page_matches table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing ".$db_table_prefix."permission_page_matches table.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($permission_page_matches_entry);
	if($stmt->execute())
	{
		echo "<p>Added default access to ".$db_table_prefix."permission_page_matches table.....</p>";
	}
	else
	{
		echo "<p>Error adding default access to ".$db_table_prefix."user_permission_matches.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($users_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."users table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing users table.</p>";
		$db_issue = true;
	}
	

	$stmt = $mysqli->prepare($continents_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."continents table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing continents table.</p>";
		$db_issue = true;
	}


	$stmt = $mysqli->prepare($continents_entry);
	if($stmt->execute())
	{
		echo "<p>Inserted continents data into ".$db_table_prefix."continents table.....</p>";
	}
	else
	{
		echo "<p>Error inserting continents data.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($countries_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."countries table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing countries table.</p>";
		$db_issue = true;
	}


	$stmt = $mysqli->prepare($countries_entry);
	if($stmt->execute())
	{
		echo "<p>Inserted countries data into ".$db_table_prefix."countries table.....</p>";
	}
	else
	{
		echo "<p>Error inserting countries data.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($number_spaces_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."number_spaces table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing number_spaces table.</p>";
		$db_issue = true;
	}


	$stmt = $mysqli->prepare($number_spaces_entry);
	if($stmt->execute())
	{
		echo "<p>Inserted number spaces data into ".$db_table_prefix."number_spaces table.....</p>";
	}
	else
	{
		echo "<p>Error inserting number spaces data.</p>";
		$db_issue = true;
	}
	
	
	$stmt = $mysqli->prepare($rides_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."rides table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing rides table.</p>";
		$db_issue = true;
	}
	
	$stmt = $mysqli->prepare($time_hours_sql);
	if($stmt->execute())
	{
		echo "<p>".$db_table_prefix."time_hours table created.....</p>";
	}
	else
	{
		echo "<p>Error constructing time_hours table.</p>";
		$db_issue = true;
	}


	$stmt = $mysqli->prepare($time_hours_entry);
	if($stmt->execute())
	{
		echo "<p>Inserted time hours data into ".$db_table_prefix."time_hours table.....</p>";
	}
	else
	{
		echo "<p>Error inserting time hours data.</p>";
		$db_issue = true;
	}	
	
	if(!$db_issue)
		echo "<p><strong>Database setup complete, please delete the install folder.</strong></p>";
	else
	echo "<p><a href=\"?install=true\">Try again</a></p>";
}
else
{
	echo "
	<a href='?install=true'>Install ShareTheRide Script</a>
	";
}

echo "
</body>
</html>";

?>