<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/

/*
%m1% - Dymamic markers which are replaced at run time by the relevant index.
*/

$lang = array();

// Home - index.php, and My Rides - my_ride_overview.php
$lang = array_merge($lang,array(
	'HOME HEADER'				=> '<h2>Home</h2>',
	'MY RIDES HEADER'			=> '<h2>Meine Mitfahrgelegenheiten</h2>',
	'HOME MAIN TEXT'			=> '<p>Hallo! Wenn Du m&ouml;chtest, kannst du hier nach Mitfahrgelegenheiten suchen. Oder stelle ein Angebot (oder eine Anfrage) selber ein. </p>',
	'HOME GREETS'				=> '<p>&nbsp;</p>',	
	'FROM COUNTRY'				=> 'Land Abfahrt', 
	'TO COUNTRY'				=> 'Land Ankunft', 
	'RIDE TYPE'				=> 'Typ', 
	'RIDE DATE'				=> 'Datum', 
	'RIDE DATE TO'				=> 'bis&nbsp;',
	'SEARCH PLEASE'				=> 'Bitte Suchen :)', 
	'NO RESULTS'				=> 'Keine Ergebnisse',
	'YOU HAVE NO RIDES'			=> 'Du hast keine Mitfahrgelegenheiten..',	
	'RESULTS HEADER DATE'			=> 'Datum', 
	'RESULTS HEADER FROM'			=> 'Von', 
	'RESULTS HEADER TO'			=> 'Nach', 
	'RESULTS HEADER TYPE'			=> 'Typ', 
	'RESULTS HEADER SPACES'			=> 'Pl&auml;tze', 	
	'RESULTS HEADER TIME'			=> 'Zeit', 
	'RESULTS HEADER DETAILS'		=> 'Details', 
	'RESULTS HEADER EDIT'			=> '&Auml;ndern', 	
	'RESULTS HEADER DELETE'			=> 'L&ouml;schen', 	
	'RESULTS ROW DETAILS'			=> 'Details..', 
	'RESULTS ROW EDIT'			=> '&Auml;ndern..', 	
	'RESULTS ROW DELETE'			=> 'L&ouml;schen..', 	
	));

// Left menu - left-nav.php
$lang = array_merge($lang,array(
	'MENU HOME'				=> 'Home', 
	'MENU ADD RIDE'				=> 'Angebot oder Anfrage', 
	'MENU MY RIDES'				=> 'Meine Fahrten', 
	'MENU USER SETTINGS'			=> 'Benutzereinstellungen', 
	'MENU LOGOUT'				=> 'Ausloggen', 
	'MENU LOGIN'				=> 'Einloggen', 
	'MENU REGISTER'				=> 'Registrieren', 
	'MENU FORGOT PASSWORD'			=> 'Passwort vergessen', 
	'MENU RESEND ACTIVATION EMAIL'		=> 'Aktivierungs-Mail erneut versenden', 
	));

// Pager - models/funcs.php
$lang = array_merge($lang,array(
	'PAGER PAGES'				=> 'Seiten:', 
	'PAGER RESULTS TO SHOW'			=> 'Ergebnisse zum Anzeigen:', 
	'PAGER GO TO FIRST PAGE'		=> 'Gehe zur ersten Seite', 
	'PAGER GO TO LAST PAGE'			=> 'Gehe zur letzten Seite', 
	'PAGER GO TO NEXT PAGE'			=> 'Gehe zur n&auml;chsten Seite', 
	'PAGER GO TO PREVIOUS PAGE'		=> 'Gehe zur vorherigen Seite', 
	));

// Registration - register.php
$lang = array_merge($lang,array(
	'REGISTER HEADER'			=> '<h2>Registrieren</h2>', 
	'REGISTER USERNAME'			=> 'Benutzername', 
	'REGISTER DISPLAYNAME'			=> 'Angezeigter Name', 
	'REGISTER PASSWORD'			=> 'Passwort', 
	'REGISTER CONFIRM'			=> 'Best&auml;tigen', 
	'REGISTER EMAIL'			=> 'Email', 
	'REGISTER EMAIL NOTE'			=> '(nicht sichtbar)',   
	'REGISTER PHONE'			=> 'Telefonnummer', 
	'REGISTER PHONE NOTE'			=> '(optional, sichtbar)', 	
	'REGISTER AGE'				=> 'Alter', 
	'REGISTER GENDER'			=> 'Geschlecht', 
	'REGISTER SECURITY CODE'		=> 'Sicherheitscode', 
	'REGISTER ENTER SECURITY CODE'		=> 'Gib den Sicherheitscode ein', 
	'REGISTER REGISTER'			=> 'Registrieren', 
	));

// User Settings - user_settings.php
$lang = array_merge($lang,array(
	'USER SETTINGS HEADER'			=> '<h2>Benutzereinstellungen</h2>', 
	'USER SETTINGS PASSWORD'		=> 'Passwort', 
	'USER SETTINGS EMAIL'			=> 'Email', 
	'USER SETTINGS NEW PASSWORD'		=> 'Neues Passwort', 
	'USER SETTINGS CONFIRM PASSWORD'	=> 'Passwort best&auml;tigen', 
	'USER SETTINGS PHONE'			=> 'Telefon', 
	'USER SETTINGS PHONE NOTE'		=> '(optional, unsichtbar)', 
	'USER SETTINGS AGE'			=> 'Alter', 
	'USER SETTINGS UPDATE'			=> 'Aktualisieren', 
	));

// Offer or Request a Ride - my_ride_add.php, Edit a Ride - my_ride_edit.php, Ride Details - ride.php 
$lang = array_merge($lang,array(
	'ADD RIDE HEADER'			=> '<h2>Angebot oder Anfrage f&uuml;r eine Mitfahrgelegenheit</h2>', 
	'EDIT RIDE HEADER'			=> '<h2>&Auml;ndere die Fahrt</h2>', 
	'RIDE DETAILS HEADER'			=> '<h2>Fahrt-Details</h2>', 	
	'RIDE TYPE'				=> 'Typ', 
	'RIDE DEPARTURE DATE'			=> 'Abfahrt Datum', 	
	'RIDE DEPARTURE TIME'			=> 'Abfahrt Zeit', 	
	'RIDE FROM COUNTRY'			=> 'Land Abfahrt', 		
	'RIDE TO COUNTRY'			=> 'Land Ankunft', 		
	'RIDE FROM LOCATION'			=> 'Von Stadt oder Ort', 			
	'RIDE TO LOCATION'			=> 'Von Stadt oder Ort', 				
	'RIDE NUMBER SPACES'			=> 'Anzahl der Pl&auml;tze', 				
	'RIDE NOTE'				=> 'Anmerkung', 					
	'RIDE OPTIONAL'				=> '(optional)', 
	'RIDE SAVE BUTTON'			=> 'Speichern', 	
	'RIDE EDIT SAVE CHANGES BUTTON'		=> '&Auml;nderungen speichern', 		
	'RIDE EDIT DELETE BUTTON'		=> 'Mitfahrgelegenheit l&ouml;schen', 
	'RIDE EDIT ARE YOU SURE DELETE'		=> 'Bist du sicher, dass du diese Mitfahrgelegenheit l&ouml;schen m&ouml;chtest?', 	
	'RIDE DETAILS NAME'			=> 'Name', 			
	'RIDE DETAILS AGE'			=> 'Alter', 			
	'RIDE DETAILS GENDER'			=> 'Geschlecht',
	'RIDE DETAILS PHONE'			=> 'Telefon', 			
	'RIDE DETAILS FROM'			=> 'Von',
	'RIDE DETAILS TO'			=> 'Nach', 			
	'RIDE DETAILS SEND MESSAGE'		=> 'Nachricht senden', 			
	'RIDE DETAILS SEND MESSAGE BUTTON'	=> 'Senden', 			
	));
	
// Email subjects
$lang = array_merge($lang,array(
	'EMAIL SUBJECT NEW PASS'		=> 'Dein neues Passwort', 
	'EMAIL SUBJECT LOST PASS'		=> 'Anforderung deines neuen Passwortes', 
	'EMAIL SUBJECT ACTIVATE ACCOUNT'	=> 'Aktiviere dein %m1% Benutzerkonto', 
	'EMAIL SUBJECT RESPONSE TO RIDE'	=> 'Anworte auf die Mitfahrgelegenheit am %m1%', 
	'EMAIL SUBJECT NEW USER'		=> 'Neuer Benutzer',	
	));

// Database fields
$lang = array_merge($lang,array(
	'All'					=> 'Alle',
	'Offer'					=> 'Angebot', 
	'Request'				=> 'Anfrage', 
	'Male'					=> 'M&auml;nnlich', 
	'Female'				=> 'Weiblich',
	));

// Activate Account - activate-account.php, Forgot Password - forgot-password.php  
// Login - login.php, Resend Activation - resend-activation.php
$lang = array_merge($lang,array(
	'ACTIVATE ACCOUNT HEADER'		=> '<h2>Aktiviere das Benutzerkonto</h2>', 
	'FORGOT PASSWORD HEADER'		=> '<h2>Passwort vergessen</h2>', 	
	'FORM USERNAME'				=> 'Benutzername', 	
	'FORM EMAIL'				=> 'Email', 		
	'FORM SUBMIT'				=> 'Abschicken', 		
	'LOGIN HEADER'				=> '<h2>Einloggen</h2>',
	'FORM PASSWORD'				=> 'Passwort', 			
	'FORM LOGIN'				=> 'Einloggen', 			
	'LOGIN NEW USER'			=> 'Neuer Benutzer? <a href="register.php">Hier registrieren</a>', 			
	'RESEND ACTIVATION HEADER'		=> '<h2>Aktivierung erneut schicken</h2>', 		
	));

	
//Account
$lang = array_merge($lang,array(
	"ACCOUNT_SPECIFY_USERNAME" 		=> "Bitte gib deinen Benutzernamen ein",
	"ACCOUNT_SPECIFY_PASSWORD" 		=> "Bitte gib dein Passwort ein",
	"ACCOUNT_SPECIFY_EMAIL"			=> "Bitte gib deine E-Mail-Adresse ein",
	"ACCOUNT_INVALID_EMAIL"			=> "Ung&uuml;ltige E-Mail-Adresse",
	"ACCOUNT_INVALID_AGE"			=> "Alter muss zwischen 0 und 99 sein",
	"ACCOUNT_INVALID_GENDER"		=> "Geschlecht kann nicht leer sein",
	"ACCOUNT_USER_OR_EMAIL_INVALID"		=> "Benutzername oder Email ung&uuml;ltig",
	"ACCOUNT_USER_OR_PASS_INVALID"		=> "Benutzername oder Passwort ung&uuml;ltig",
	"ACCOUNT_INVALID_TYPE"			=> "Typ kann nicht leer sein",
	"ACCOUNT_ADD_RIDE_DATE_EMPTY"		=> "Abfahrt Datum kann nicht leer sein",
	"ACCOUNT_ADD_RIDE_FROM_COUNTRY_EMPTY"	=> "Land Abfahrt kann nicht leer sein",	
	"ACCOUNT_ADD_RIDE_TO_COUNTRY_EMPTY"	=> "Land Ankunft kann nicht leer sein",	
	"ACCOUNT_ADD_RIDE_FROM_LOCATION_EMPTY"	=> "Von Stadt oder Ort kann nicht leer sein",		
	"ACCOUNT_ADD_RIDE_TO_LOCATION_EMPTY"	=> "Nach Stadt oder Ort kann nicht leer sein",			
	"ACCOUNT_ALREADY_ACTIVE"		=> "Dein Benutzerkonto ist bereits aktiviert",
	"ACCOUNT_INACTIVE"			=> "Dein Benutzerkonto ist inaktiv. Schau in deine E-Mails / Spam Ordner nach der Aktivierungsanleitung. ",
	"ACCOUNT_USER_CHAR_LIMIT"		=> "Dein Benutzername muss zwischen %m1% und %m2% Buchstaben lang sein",
	"ACCOUNT_DISPLAY_CHAR_LIMIT"		=> "Dein angezeigter Name muss zwischen %m1% und %m2% Buchstaben lang sein",
	"ACCOUNT_PASS_CHAR_LIMIT"		=> "Dein Passwort muss zwischen %m1% und %m2% Buchstaben lang sein",
	"ACCOUNT_TITLE_CHAR_LIMIT"		=> "Titel m&uuml;ssen zwischen %m1% und %m2% Buchstaben lang sein ",
	"ACCOUNT_PASS_MISMATCH"			=> "Dein Passwort und dein best&auml;tigtes Passwort m&uuml;ssen &uuml;berein stimmen",
	"ACCOUNT_DISPLAY_INVALID_CHARACTERS"	=> "Angezeigter Name kann nur Buchstaben oder Zahlen enthalten",
	"ACCOUNT_USERNAME_IN_USE"		=> "Benutzer  %m1% ist schon vergeben",
	"ACCOUNT_DISPLAYNAME_IN_USE"		=> "Angezeigter Name %m1% ist schon vergeben",
	"ACCOUNT_EMAIL_IN_USE"			=> "E-Mail %m1% wird bereits verwendet",
	"ACCOUNT_LINK_ALREADY_SENT"		=> "Die Aktivierungs-Mail wurde an diese Adresse bereits in der/den letzten %m1% Stunde(n) verschickt",
	"ACCOUNT_NEW_ACTIVATION_SENT"		=> "Wir haben dir einen neuen Aktivierungslink geschickt. Bitte checke deine E-mails",
	"ACCOUNT_SPECIFY_NEW_PASSWORD"		=> "Bitte gib dein neues Passwort ein",
	"ACCOUNT_SPECIFY_CONFIRM_PASSWORD"	=> "Bitte best&auml;tige dein neues Passwort",
	"ACCOUNT_NEW_PASSWORD_LENGTH"		=> "Das neue Passwort muss zwischen %m1% und %m2% Buchstaben lang sein",	
	"ACCOUNT_PASSWORD_INVALID"		=> "Das aktuelle Passwort ist nicht das, was wir gespeichert haben",	
	"ACCOUNT_DETAILS_UPDATED"		=> "Konto-Details aktualisiert",
	"ACCOUNT_ACTIVATION_MESSAGE"		=> "Du musst dein Benutzerkonto aktivieren, bevor du dich einloggst. Bitte folge dem Link unten um dein Benutzerkonto zu aktivieren. \n\n
	%m1%activate-account.php?token=%m2%",							
	"ACCOUNT_ACTIVATION_COMPLETE"		=> "Du hast dein Benutzerkonto erfolgreich aktiviert. Du kannst dich jetzt <a href=\"login.php\">hier</a> einloggen.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE1"	=> "Du hast dich erfolgreich registriert. Du kannst dich jetzt <a href=\"login.php\">hier</a> einloggen.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE2"	=> "Du hast dich erfolgreich registriert. Du wirst bald ein Aktivierungs-Email von uns erhalten. Du musst dein Benutzerkonto vor dem Einloggen aktivieren.",
	"ACCOUNT_ADD_RIDE_COMPLETE"		=> "Du hast erfolgreich eine Fahrt  eingestellt. <a href=\"my_ride_overview.php\">Hier</a> kannst du alle deine Fahrten sehen.",	
	"ACCOUNT_CHANGE_RIDE_COMPLETE"		=> "Du hast deine Fahrt erfolgreich ge&auml;ndert. <a href=\"my_ride_overview.php\">Hier</a> kannst du alle deine Fahrten sehen.",		
	"ACCOUNT_CHANGE_RIDE_DELETE"		=> "Du hast die Fahrt erfolgreich gel&ouml;scht. <a href=\"my_ride_overview.php\">Hier</a> kannst du alle deine Fahrten sehen.",			
	"ACCOUNT_RIDE_SEND_MESSAGE_COMPLETE"	=> "Du hast erfolgreich ein Nachricht an %m1% verschickt. Du kannst <a href=\"index.php\">hier</a> nach anderen Fahrten suchen.",			
	"ACCOUNT_PASSWORD_NOTHING_TO_UPDATE"	=> "Du kannst mit demselben Passwort nicht aktualisieren",
	"ACCOUNT_PASSWORD_UPDATED"		=> "Passwort f&uuml;r Benutzerkonto aktualisiert",
	"ACCOUNT_EMAIL_UPDATED"			=> "E-Mail-Adresse f&uuml;r Benutzerkonto aktualisiert",
	"ACCOUNT_AGE_UPDATED"			=> "Alter aktualisiert",
	"ACCOUNT_PHONE_UPDATED"			=> "Telefon aktualisiert",	
	"ACCOUNT_TOKEN_NOT_FOUND"		=> "Token existiert nicht / Benutzerkonto ist bereits aktiviert",
	"ACCOUNT_USER_INVALID_CHARACTERS"	=> "Benutzername kann nur Buchstaben oder Zahlen enthalten",
	"ACCOUNT_DELETIONS_SUCCESSFUL"		=> "Du hast erfolgreiche %m1% Benutzer gel&ouml;scht, und %m2% Fahrten dieser Benutzer abgeschickt",
	"ACCOUNT_MANUALLY_ACTIVATED"		=> "%m1%'s wurde manuell aktiviert",
	"ACCOUNT_DISPLAYNAME_UPDATED"		=> "Angezeigter Name wurde zu %m1% ge&auml;ndert" ,
	"ACCOUNT_TITLE_UPDATED"			=> "%m1%'s Titel wurde zu %m2% ge&auml;ndert",
	"ACCOUNT_INVALID_USERNAME"		=> "Ung&uuml;ltiger Benutzername",
	));

//Configuration
$lang = array_merge($lang,array(
	"CONFIG_NAME_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_URL_CHAR_LIMIT"			=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_EMAIL_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_ACTIVATION_TRUE_FALSE"		=> "Email activation must be either `true` or `false`",
	"CONFIG_ACTIVATION_RESEND_RANGE"	=> "Activation Threshold must be between %m1% and %m2% hours",
	"CONFIG_LANGUAGE_CHAR_LIMIT"		=> "Language path must be between %m1% and %m2% characters in length",
	"CONFIG_LANGUAGE_INVALID"		=> "There is no file for the language key `%m1%`",
	"CONFIG_TEMPLATE_CHAR_LIMIT"		=> "Template path must be between %m1% and %m2% characters in length",
	"CONFIG_TEMPLATE_INVALID"		=> "There is no file for the template key `%m1%`",
	"CONFIG_EMAIL_INVALID"			=> "The email you have entered is not valid",
	"CONFIG_INVALID_URL_END"		=> "Please include the ending / in your site's URL",
	"CONFIG_UPDATE_SUCCESSFUL"		=> "Your site's configuration has been updated. You may need to load a new page for all the settings to take effect",
	"SQL_ERROR"				=> "Fatal SQL error",
	));

//Forgot Password
$lang = array_merge($lang,array(
	"FORGOTPASS_INVALID_TOKEN"		=> "Dein Aktivierungs-Token ist nicht g&uuml;ltig",
	"FORGOTPASS_NEW_PASS_EMAIL"		=> "Wir haben dir ein neues Passwort per E-Mail geschickt",
	"FORGOTPASS_REQUEST_CANNED"		=> "Anfrage f&uuml;r neues Passwort abgebrochen",
	"FORGOTPASS_REQUEST_EXISTS"		=> "Es gibt f&uuml;r diese Konto bereis eine Anforderung f&uuml;r ein neues Passwort",
	"FORGOTPASS_REQUEST_SUCCESS"		=> "Wir haben dir eine Anleitung geschickt, wie du den Zugang zu deinem Konto wieder herstellen kannst",
	));

//Mail
$lang = array_merge($lang,array(
	"MAIL_ERROR"				=> "Fatal error attempting mail, contact your server administrator",
	"MAIL_TEMPLATE_BUILD_ERROR"		=> "Error building email template",
	"MAIL_TEMPLATE_DIRECTORY_ERROR"		=> "Unable to open mail-templates directory. Perhaps try setting the mail directory to %m1%",
	"MAIL_TEMPLATE_FILE_EMPTY"		=> "Template file is empty... nothing to send",
	));

//Miscellaneous
$lang = array_merge($lang,array(
	"CAPTCHA_FAIL"				=> "Falsche Sicherheitsantwort",
	"CONFIRM"				=> "Best&auml;tigen",
	"DENY"					=> "Ablehnen",
	"SUCCESS"				=> "Erfolg",
	"ERROR"					=> "Fehler",
	"NOTHING_TO_UPDATE"			=> "Nichts zu aktualisieren",	
	"FEATURE_DISABLED"			=> "Diese Funktion ist derzeit abgeschaltet",
	));

//Permissions
$lang = array_merge($lang,array(
	"PERMISSION_CHAR_LIMIT"			=> "Permission names must be between %m1% and %m2% characters in length",
	"PERMISSION_NAME_IN_USE"		=> "Permission name %m1% is already in use",
	"PERMISSION_DELETIONS_SUCCESSFUL"	=> "Successfully deleted %m1% permission level(s)",
	"PERMISSION_CREATION_SUCCESSFUL"	=> "Successfully created the permission level `%m1%`",
	"PERMISSION_NAME_UPDATE"		=> "Permission level name changed to `%m1%`",
	"PERMISSION_REMOVE_PAGES"		=> "Successfully removed access to %m1% page(s)",
	"PERMISSION_ADD_PAGES"			=> "Successfully added access to %m1% page(s)",
	"PERMISSION_REMOVE_USERS"		=> "Successfully removed %m1% user(s)",
	"PERMISSION_ADD_USERS"			=> "Successfully added %m1% user(s)",
	"ACCOUNT_PERMISSION_ADDED"		=> "Added access to %m1% permission levels",
	"ACCOUNT_PERMISSION_REMOVED"		=> "Removed access from %m1% permission levels",
	"PAGE_PRIVATE_TOGGLED"			=> "This page is now %m1%",
	"PAGE_ACCESS_REMOVED"			=> "Page access removed for %m1% permission level(s)",
	"PAGE_ACCESS_ADDED"			=> "Page access added for %m1% permission level(s)",
	"CANNOT_DELETE_NEWUSERS"		=> "You cannot delete the default 'new user' group",
	"CANNOT_DELETE_ADMIN"			=> "You cannot delete the default 'admin' group",
	));
?>