<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/

/*
%m1% - Dymamic markers which are replaced at run time by the relevant index.
*/

$lang = array();

// Home - index.php, and My Rides - my_ride_overview.php
$lang = array_merge($lang,array(
	'HOME HEADER'				=> '<h2>Home</h2>',
	'MY RIDES HEADER'			=> '<h2>Mis Viajes</h2>',
	'HOME MAIN TEXT'			=> '<p>&iexcl;Hola! Si lo deseas, puedes buscar viajes aqu&iacute;. O colocar una oferta (o solicitud) t&uacute; mismo.</p>',
	'HOME GREETS'				=> '<p>&iexcl;Bienvenido!</p>',	
	'FROM COUNTRY'				=> 'Pa&iacute;s de Salida', 
	'TO COUNTRY'				=> 'Pa&iacute;s de Destino', 
	'RIDE TYPE'				=> 'Tipo', 
	'RIDE DATE'				=> 'Fecha', 
	'RIDE DATE TO'				=> 'a&nbsp;',
	'SEARCH PLEASE'				=> 'Por favor, buscar :)', 
	'NO RESULTS'				=> 'Sin resultados..',
	'YOU HAVE NO RIDES'			=> 'No tienes viajes..',	
	'RESULTS HEADER DATE'			=> 'Fecha', 
	'RESULTS HEADER FROM'			=> 'Desde', 
	'RESULTS HEADER TO'			=> 'Hasta', 
	'RESULTS HEADER TYPE'			=> 'Tipo', 
	'RESULTS HEADER SPACES'			=> 'Espacios', 	
	'RESULTS HEADER TIME'			=> 'Hora', 
	'RESULTS HEADER DETAILS'		=> 'Detalles', 
	'RESULTS HEADER EDIT'			=> 'Editar', 	
	'RESULTS HEADER DELETE'			=> 'Borrar', 	
	'RESULTS ROW DETAILS'			=> 'Detalles..', 
	'RESULTS ROW EDIT'			=> 'Editar..', 	
	'RESULTS ROW DELETE'			=> 'Borrar..', 	
	));
	
// Left menu - left-nav.php
$lang = array_merge($lang,array(
	'MENU HOME'				=> 'Home', 
	'MENU ADD RIDE'				=> 'Ofrecer o Solicitar un Viaje', 
	'MENU MY RIDES'				=> 'Mis Viajes', 
	'MENU USER SETTINGS'			=> 'Ajustes de Usuario', 
	'MENU LOGOUT'				=> 'Cerrar Sesi&oacute;n', 
	'MENU LOGIN'				=> 'Iniciar Sesi&oacute;n', 
	'MENU REGISTER'				=> 'Reg&iacute;strate', 
	'MENU FORGOT PASSWORD'			=> 'Olvid&eacute; mi Contrase&ntilde;a', 
	'MENU RESEND ACTIVATION EMAIL'		=> 'Reenviar Correo Electr&oacute;nico de Activaci&oacute;n', 
	));

// Pager - models/funcs.php
$lang = array_merge($lang,array(
	'PAGER PAGES'				=> 'P&aacute;ginas:', 
	'PAGER RESULTS TO SHOW'			=> 'Resultados para mostrar:', 
	'PAGER GO TO FIRST PAGE'		=> 'Ir a la primera p&aacute;gina', 
	'PAGER GO TO LAST PAGE'			=> 'Ir a la &uacute;ltima p&aacute;gina', 
	'PAGER GO TO NEXT PAGE'			=> 'Ir a la p&aacute;gina siguiente', 
	'PAGER GO TO PREVIOUS PAGE'		=> 'Ir a la p&aacute;gina anterior', 
	));

// Registration - register.php
$lang = array_merge($lang,array(
	'REGISTER HEADER'			=> '<h2>Reg&iacute;strate</h2>', 
	'REGISTER USERNAME'			=> 'Nombre de Usuario', 
	'REGISTER DISPLAYNAME'			=> 'Nombre para Mostrar', 
	'REGISTER PASSWORD'			=> 'Contrase&ntilde;a', 
	'REGISTER CONFIRM'			=> 'Confirmar', 
	'REGISTER EMAIL'			=> 'Correo Electr&oacute;nico', 
	'REGISTER EMAIL NOTE'			=> '(no visible para otros)',   
	'REGISTER PHONE'			=> 'N&uacute;mero de Tel&eacute;fono', 
	'REGISTER PHONE NOTE'			=> '(opcional, es visible para otros)', 	
	'REGISTER AGE'				=> 'Edad', 
	'REGISTER GENDER'			=> 'Sexo', 
	'REGISTER SECURITY CODE'		=> 'C&oacute;digo de Seguridad', 
	'REGISTER ENTER SECURITY CODE'		=> 'Ingresar C&oacute;digo de Seguridad', 
	'REGISTER REGISTER'			=> 'Reg&iacute;strate', 
	));

// User Settings - user_settings.php
$lang = array_merge($lang,array(
	'USER SETTINGS HEADER'		=> '<h2>Ajustes de Usuario</h2>', 
	'USER SETTINGS PASSWORD'		=> 'Contrase&ntilde;a', 
	'USER SETTINGS EMAIL'			=> 'Correo Electr&oacute;nico', 
	'USER SETTINGS NEW PASSWORD'	=> 'Nueva Contrase&ntilde;a', 
	'USER SETTINGS CONFIRM PASSWORD'	=> 'Confirmar Contrase&ntilde;a', 
	'USER SETTINGS PHONE'			=> 'Tel&eacute;fono', 
	'USER SETTINGS PHONE NOTE'		=> '(opcional, es visible para otros)', 
	'USER SETTINGS AGE'			=> 'Edad', 
	'USER SETTINGS UPDATE'		=> 'Actualizar', 
	));

// Offer or Request a Ride - my_ride_add.php, Edit a Ride - my_ride_edit.php, Ride Details - ride.php 
$lang = array_merge($lang,array(
	'ADD RIDE HEADER'			=> '<h2>Ofrecer o Solicitar un Viaje</h2>', 
	'EDIT RIDE HEADER'			=> '<h2>Editar un Viaje</h2>', 
	'RIDE DETAILS HEADER'			=> '<h2>Detalles del Viaje</h2>', 	
	'RIDE TYPE'				=> 'Tipo', 
	'RIDE DEPARTURE DATE'			=> 'Fecha de Partida', 	
	'RIDE DEPARTURE TIME'			=> 'Hora de Partida', 	
	'RIDE FROM COUNTRY'			=> 'Pa&iacute;s de Salida', 		
	'RIDE TO COUNTRY'			=> 'Pa&iacute;s de Destino', 		
	'RIDE FROM LOCATION'			=> 'Desde Ciudad o Lugar', 		
	'RIDE TO LOCATION'			=> 'Para Ciudad o Lugar', 				
	'RIDE NUMBER SPACES'			=> 'N&uacute;mero de Espacios', 				
	'RIDE NOTE'				=> 'Nota', 					
	'RIDE OPTIONAL'				=> '(opcional)', 
	'RIDE SAVE BUTTON'			=> 'Guardar', 	
	'RIDE EDIT SAVE CHANGES BUTTON'		=> 'Guardar Cambios', 		
	'RIDE EDIT DELETE BUTTON'		=> 'Eliminar Viaje', 
	'RIDE EDIT ARE YOU SURE DELETE'		=> '&iquest;Est&aacute;s seguro de eliminar este viaje?', 	
	'RIDE DETAILS NAME'			=> 'Nombre', 			
	'RIDE DETAILS AGE'			=> 'Edad', 			
	'RIDE DETAILS GENDER'			=> 'Sexo',
	'RIDE DETAILS PHONE'			=> 'Tel&eacute;fono', 			
	'RIDE DETAILS FROM'			=> 'Desde',
	'RIDE DETAILS TO'			=> 'Para', 			
	'RIDE DETAILS SEND MESSAGE'		=> 'Enviar Mensaje', 			
	'RIDE DETAILS SEND MESSAGE BUTTON'	=> 'Enviar', 			
	));
	
// Email subjects
$lang = array_merge($lang,array(
	'EMAIL SUBJECT NEW PASS'		=> 'Tu nueva contrasea', 
	'EMAIL SUBJECT LOST PASS'		=> 'Solicitud de contrasea perdida', 
	'EMAIL SUBJECT ACTIVATE ACCOUNT'	=> 'Activar tu %m1% Cuenta', 
	'EMAIL SUBJECT RESPONSE TO RIDE'	=> 'Responder a tu viaje en %m1%', 
	'EMAIL SUBJECT NEW USER'		=> 'Usuario nuevo',	
	));
	
// Database fields
$lang = array_merge($lang,array(
	'All'					=> 'Todos',
	'Offer'					=> 'Ofrecer', 
	'Request'				=> 'Solicitar', 
	'Male'					=> 'Masculino', 
	'Female'				=> 'Femenino',
	));

// Activate Account - activate-account.php, Forgot Password - forgot-password.php  
// Login - login.php, Resend Activation - resend-activation.php
$lang = array_merge($lang,array(
	'ACTIVATE ACCOUNT HEADER'		=> '<h2>Activar Cuenta</h2>', 
	'FORGOT PASSWORD HEADER'		=> '<h2>Olvid&eacute; mi Contrase&ntilde;a</h2>', 	
	'FORM USERNAME'				=> 'Nombre de Usuario', 	
	'FORM EMAIL'				=> 'Correo Electr&oacute;nico', 		
	'FORM SUBMIT'				=> 'Enviar', 		
	'LOGIN HEADER'				=> '<h2>Iniciar Sesi&oacute;n</h2>',
	'FORM PASSWORD'				=> 'Contrase&ntilde;a', 			
	'FORM LOGIN'				=> 'Iniciar Sesi&oacute;n', 			
	'LOGIN NEW USER'			=> '&iquest;Eres un usuario nuevo? <a href="register.php">Reg&iacute;strate aqu&iacute;</a>', 			
	'RESEND ACTIVATION HEADER'		=> '<h2>Reenviar Activaci&oacute;n</h2>', 		
	));

//Account
$lang = array_merge($lang,array(
	"ACCOUNT_SPECIFY_USERNAME" 		=> "Por favor, ingresa tu nombre de usuario",
	"ACCOUNT_SPECIFY_PASSWORD" 		=> "Por favor, ingresa tu contrase&ntilde;a",
	"ACCOUNT_SPECIFY_EMAIL"			=> "Por favor, ingresa tu correo electr&oacute;nico",
	"ACCOUNT_INVALID_EMAIL"			=> "Direcci&oacute;n de Correo Electr&oacute;nico Invalida",
	"ACCOUNT_INVALID_AGE"			=> "El campo edad debe ser un n&uacute;mero entre 0 y 99",
	"ACCOUNT_INVALID_GENDER"		=> "El campo sexo no puede estar vac&iacute;o",
	"ACCOUNT_USER_OR_EMAIL_INVALID"		=> "El nombre de usuario o la direcci&oacute;n de correo electr&oacute;nico es inv&aacute;lida",
	"ACCOUNT_USER_OR_PASS_INVALID"		=> "El nombre de usuario o la contrase&ntilde;a es inv&aacute;lida",
	"ACCOUNT_INVALID_TYPE"			=> "El campo tipo no puede estar vac&iacute;o",
	"ACCOUNT_ADD_RIDE_DATE_EMPTY"		=> "El campo Fecha de Partida no puede estar vac&iacute;o",
	"ACCOUNT_ADD_RIDE_FROM_COUNTRY_EMPTY"	=> "El campo Pa&iacute;s de Salida no puede estar vac&iacute;o",	
	"ACCOUNT_ADD_RIDE_TO_COUNTRY_EMPTY"	=> "El campo Pa&iacute;s de Destino no puede estar vac&iacute;o",	
	"ACCOUNT_ADD_RIDE_FROM_LOCATION_EMPTY"	=> "El campo Desde Pa&iacute;s o Lugar no puede estar vac&iacute;o",		
	"ACCOUNT_ADD_RIDE_TO_LOCATION_EMPTY"	=> "El campo Desde Ciudad o Lugar no puede estar vac&iacute;o",			
	"ACCOUNT_ALREADY_ACTIVE"		=> "Tu cuenta ya est&aacute; activada",
	"ACCOUNT_INACTIVE"			=> "Tu cuenta est&aacute; en servicio activo. Verifica la carpeta de spam en tu correo electr&oacute;nico para las instrucciones de activaci&oacute;n de tu cuenta ",
	"ACCOUNT_USER_CHAR_LIMIT"		=> "Tu nombre de usuario debe tener entre %m1% y %m2% caracteres de longitud",
	"ACCOUNT_DISPLAY_CHAR_LIMIT"		=> "Tu nombre para mostrar debe tener entre %m1% y %m2% caracteres de longitud",
	"ACCOUNT_PASS_CHAR_LIMIT"		=> "Tu contrase&ntilde;a debe tener entre %m1% y %m2% caracteres de longitud",
	"ACCOUNT_TITLE_CHAR_LIMIT"		=> "Los t&iacute;tulos deben tener entre %m1% y %m2% caracteres de longitud",
	"ACCOUNT_PASS_MISMATCH"			=> "Tu contrase&ntilde;a y la contrase&ntilde;a de confirmaci&oacute;n deben coincidir",
	"ACCOUNT_DISPLAY_INVALID_CHARACTERS"	=> "El nombre para mostrar s&oacute;lo puede incluir caracteres alfanum&eacute;ricos",
	"ACCOUNT_USERNAME_IN_USE"		=> "El nombre de usuario %m1% ya se encuentra en uso",
	"ACCOUNT_DISPLAYNAME_IN_USE"		=> "El nombre para mostrar %m1% ya se encuentra en uso",
	"ACCOUNT_EMAIL_IN_USE"			=> "El correo electr&oacute;nico %m1% ya se encuentra en uso",
	"ACCOUNT_LINK_ALREADY_SENT"		=> "Ya hemos enviado un mensaje de activaci&oacute;n para tu correo electr&oacute;nico en las &uacute;ltimas %m1% hora(s)",
	"ACCOUNT_NEW_ACTIVATION_SENT"		=> "Hemos enviado un nuevo enlace de activaci&oacute;n, por favor, verifica en tu correo electr&oacute;nico ",
	"ACCOUNT_SPECIFY_NEW_PASSWORD"		=> "Por favor, ingresa tu nueva contrase&ntilde;a",
	"ACCOUNT_SPECIFY_CONFIRM_PASSWORD"	=> "Por favor, confirma tu nueva contrase&ntilde;a",
	"ACCOUNT_NEW_PASSWORD_LENGTH"		=> "La nueva contrase&ntilde;a debe tener entre %m1% y %m2% caracteres de longitud",	
	"ACCOUNT_PASSWORD_INVALID"		=> "La contrase&ntilde;a actual no coincide con la que tenemos en el registro",	
	"ACCOUNT_DETAILS_UPDATED"		=> "Los detalles de tu cuenta fueron actualizados",
	"ACCOUNT_ACTIVATION_MESSAGE"		=> "Necesitas activar tu cuenta antes de iniciar sesin. Por favor, sigue el siguiente enlace para activar la cuenta. \n\n
	%m1%activate-account.php?token=%m2%",							
	"ACCOUNT_ACTIVATION_COMPLETE"		=> "Has activado correctamente tu cuenta. Ahora puedes iniciar sesi&oacute;n <a href=\"login.php\">aqu&iacute;</a>.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE1"	=> "Te has registrado con &eacute;xito. Ahora puedes iniciar sesi&oacute;n <a href=\"login.php\">aqu&iacute;</a>.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE2"	=> "Te has registrado con &eacute;xito. En breve, recibir&aacute;s un correo electr&oacute;nico de activaci&oacute;n. 
	Debes activar tu cuenta antes de iniciar sesi&oacute;n.",
	"ACCOUNT_ADD_RIDE_COMPLETE"		=> "Has agregado con &eacute;xito un viaje. Puedes ver tus viajes <a href=\"my_ride_overview.php\">aqu&iacute;</a>.",	
	"ACCOUNT_CHANGE_RIDE_COMPLETE"		=> "Has modificado con &eacute;xito el viaje. Puedes ver todos tus viajes <a href=\"my_ride_overview.php\">aqu&iacute;</a>.",		
	"ACCOUNT_CHANGE_RIDE_DELETE"		=> "Has eliminado con &eacute;xito el viaje. Puedes ver todos tus viajes <a href=\"my_ride_overview.php\">aqu&iacute;</a>.",			"ACCOUNT_RIDE_SEND_MESSAGE_COMPLETE"	=> "Has enviado con &eacute;xito un mensaje para %m1%. Puedes buscar otros viajes <a href=\"index.php\">aqu&iacute;</a>.",			"ACCOUNT_PASSWORD_NOTHING_TO_UPDATE"	=> "No puedes actualizar con la misma contrase&ntilde;a",
	"ACCOUNT_PASSWORD_UPDATED"		=> "La contrase&ntilde;a de la cuenta fue actualizada",
	"ACCOUNT_EMAIL_UPDATED"			=> "El correo electr&oacute;nico de la cuenta fue actualizado",
	"ACCOUNT_AGE_UPDATED"			=> "La edad fue actualizada",
	"ACCOUNT_PHONE_UPDATED"			=> "El tel&eacute;fono fue actualizado",	
	"ACCOUNT_TOKEN_NOT_FOUND"		=> "La credencial no existe / La cuenta ya se encuentra activada",
	"ACCOUNT_USER_INVALID_CHARACTERS"	=> "El nombre de usuario s&oacute;lo puede incluir caracteres alfanum&eacute;ricos",
	"ACCOUNT_DELETIONS_SUCCESSFUL"		=> "Has eliminado con &eacute;xito %m1% usuario(s), y %m2% viaje(s) enviados por estos usuario(s)",
	"ACCOUNT_MANUALLY_ACTIVATED"		=> "La cuenta de %m1% ha sido activada manualmente",
	"ACCOUNT_DISPLAYNAME_UPDATED"		=> "El nombre para mostrar fue modificado a %m1%",
	"ACCOUNT_TITLE_UPDATED"			=> "El t&iacute;tulo de %m1% fue modificado para %m2%",
	"ACCOUNT_INVALID_USERNAME"		=> "Nombre de usuario inv&aacute;lido",
	));

//Configuration
$lang = array_merge($lang,array(
	"CONFIG_NAME_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_URL_CHAR_LIMIT"			=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_EMAIL_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_ACTIVATION_TRUE_FALSE"		=> "Email activation must be either `true` or `false`",
	"CONFIG_ACTIVATION_RESEND_RANGE"	=> "Activation Threshold must be between %m1% and %m2% hours",
	"CONFIG_LANGUAGE_CHAR_LIMIT"		=> "Language path must be between %m1% and %m2% characters in length",
	"CONFIG_LANGUAGE_INVALID"		=> "There is no file for the language key `%m1%`",
	"CONFIG_TEMPLATE_CHAR_LIMIT"		=> "Template path must be between %m1% and %m2% characters in length",
	"CONFIG_TEMPLATE_INVALID"		=> "There is no file for the template key `%m1%`",
	"CONFIG_EMAIL_INVALID"			=> "The email you have entered is not valid",
	"CONFIG_INVALID_URL_END"		=> "Please include the ending / in your site's URL",
	"CONFIG_UPDATE_SUCCESSFUL"		=> "Your site's configuration has been updated. You may need to load a new page for all the settings to take effect",
	"SQL_ERROR"				=> "Fatal SQL error",
	));

//Forgot Password
$lang = array_merge($lang,array(
	"FORGOTPASS_INVALID_TOKEN"		=> "Tu credencial de activaci&oacute;n no es v&aacute;lida",
	"FORGOTPASS_NEW_PASS_EMAIL"		=> "Te hemos enviado una nueva contrase&ntilde;a",
	"FORGOTPASS_REQUEST_CANNED"		=> "La solicitud de contrase&ntilde;a perdida fue cancelada",
	"FORGOTPASS_REQUEST_EXISTS"		=> "Ya existe una solicitud de contrase&ntilde;a perdida destacada en esta cuenta",
	"FORGOTPASS_REQUEST_SUCCESS"		=> "Hemos enviado las instrucciones para que recuperes el acceso a tu cuenta",
	));

//Mail
$lang = array_merge($lang,array(
	"MAIL_ERROR"				=> "Fatal error attempting mail, contact your server administrator",
	"MAIL_TEMPLATE_BUILD_ERROR"		=> "Error building email template",
	"MAIL_TEMPLATE_DIRECTORY_ERROR"		=> "Unable to open mail-templates directory. Perhaps try setting the mail directory to %m1%",
	"MAIL_TEMPLATE_FILE_EMPTY"		=> "Template file is empty... nothing to send",
	));

//Miscellaneous
$lang = array_merge($lang,array(
	"CAPTCHA_FAIL"				=> "La pregunta de seguridad fall&oacute;",
	"CONFIRM"				=> "Confirmar",
	"DENY"					=> "Rechazar",
	"SUCCESS"				=> "&Eacute;xito",
	"ERROR"					=> "Error",
	"NOTHING_TO_UPDATE"			=> "No hay nada para actualizar",
	"FEATURE_DISABLED"			=> "Esta funci&oacute;n se encuentra actualmente deshabilitada",
	));

//Permissions
$lang = array_merge($lang,array(
	"PERMISSION_CHAR_LIMIT"			=> "Permission names must be between %m1% and %m2% characters in length",
	"PERMISSION_NAME_IN_USE"		=> "Permission name %m1% is already in use",
	"PERMISSION_DELETIONS_SUCCESSFUL"	=> "Successfully deleted %m1% permission level(s)",
	"PERMISSION_CREATION_SUCCESSFUL"	=> "Successfully created the permission level `%m1%`",
	"PERMISSION_NAME_UPDATE"		=> "Permission level name changed to `%m1%`",
	"PERMISSION_REMOVE_PAGES"		=> "Successfully removed access to %m1% page(s)",
	"PERMISSION_ADD_PAGES"			=> "Successfully added access to %m1% page(s)",
	"PERMISSION_REMOVE_USERS"		=> "Successfully removed %m1% user(s)",
	"PERMISSION_ADD_USERS"			=> "Successfully added %m1% user(s)",
	"ACCOUNT_PERMISSION_ADDED"		=> "Added access to %m1% permission levels",
	"ACCOUNT_PERMISSION_REMOVED"		=> "Removed access from %m1% permission levels",
	"PAGE_PRIVATE_TOGGLED"			=> "This page is now %m1%",
	"PAGE_ACCESS_REMOVED"			=> "Page access removed for %m1% permission level(s)",
	"PAGE_ACCESS_ADDED"			=> "Page access added for %m1% permission level(s)",
	"CANNOT_DELETE_NEWUSERS"		=> "You cannot delete the default 'new user' group",
	"CANNOT_DELETE_ADMIN"			=> "You cannot delete the default 'admin' group",
	));
?>