<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/

/*
%m1% - Dymamic markers which are replaced at run time by the relevant index.
*/

$lang = array();

// Home - index.php, and My Rides - my_ride_overview.php
$lang = array_merge($lang,array(
	'HOME HEADER'				=> '<h2>Home</h2>',
	'MY RIDES HEADER'			=> '<h2>Mes covoiturages</h2>',
	'HOME MAIN TEXT'			=> '<p>Bonjour ! Vous pouvez chercher un covoiturage ici. Vous pouvez &eacute;galement proposer ou rechercher un covoiturage.</p>',
	'HOME GREETS'				=> '<p>Bienvenue !</p>',	
	'FROM COUNTRY'				=> 'Pays de d&eacute;part', 
	'TO COUNTRY'				=> "Pays d'arriv&eacute;e", 
	'RIDE TYPE'				=> 'Type', 
	'RIDE DATE'				=> 'Date', 
	'RIDE DATE TO'				=> "jusqu'au&nbsp;",
	'SEARCH PLEASE'				=> 'Rechercher :)', 
	'NO RESULTS'				=> 'Aucun r&eacute;sultats...',
	'YOU HAVE NO RIDES'			=> "Il n'y a aucun covoiturage...",	
	'RESULTS HEADER DATE'			=> 'Date', 
	'RESULTS HEADER FROM'			=> 'D&eacute;part', 
	'RESULTS HEADER TO'			=> 'Arriv&eacute;e', 
	'RESULTS HEADER TYPE'			=> 'Type', 
	'RESULTS HEADER SPACES'			=> 'Places', 	
	'RESULTS HEADER TIME'			=> 'Horaire', 
	'RESULTS HEADER DETAILS'		=> 'D&eacute;tails', 
	'RESULTS HEADER EDIT'			=> 'Editer', 	
	'RESULTS HEADER DELETE'			=> 'Supprimer', 	
	'RESULTS ROW DETAILS'			=> 'D&eacute;tails...', 
	'RESULTS ROW EDIT'			=> 'Editer', 	
	'RESULTS ROW DELETE'			=> 'Supprimer...', 	
	));
	
// Left menu - left-nav.php
$lang = array_merge($lang,array(
	'MENU HOME'				=> 'Home', 
	'MENU ADD RIDE'				=> 'Proposer ou rechercher un covoiturage', 
	'MENU MY RIDES'				=> 'Mes covoiturages', 
	'MENU USER SETTINGS'			=> 'Param&egrave;tres du compte', 
	'MENU LOGOUT'				=> 'D&eacute;connexion', 
	'MENU LOGIN'				=> 'Connexion', 
	'MENU REGISTER'				=> "S'inscrire", 
	'MENU FORGOT PASSWORD'			=> 'Mot de passe oubli&eacute;', 
	'MENU RESEND ACTIVATION EMAIL'		=> "Renvoyer l'email d'activation", 
	));

// Pager - models/funcs.php
$lang = array_merge($lang,array(
	'PAGER PAGES'				=> 'Pages :', 
	'PAGER RESULTS TO SHOW'			=> 'Nombre de r&eacute;sultats &agrave; afficher:', 
	'PAGER GO TO FIRST PAGE'		=> 'Aller &agrave; la premi&egrave;re page', 
	'PAGER GO TO LAST PAGE'			=> 'Aller &agrave; la derni&egrave;re page', 
	'PAGER GO TO NEXT PAGE'			=> 'Page suivante', 
	'PAGER GO TO PREVIOUS PAGE'		=> 'Page pr&eacute;c&eacute;dente', 
	));

// Registration - register.php
$lang = array_merge($lang,array(
	'REGISTER HEADER'			=> "<h2>S'inscrire</h2>", 
	'REGISTER USERNAME'			=> "Nom d'utilisateur", 
	'REGISTER DISPLAYNAME'			=> 'Nom &agrave; afficher', 
	'REGISTER PASSWORD'			=> 'Mot de passe', 
	'REGISTER CONFIRM'			=> 'Confirmer votre mot de passe', 
	'REGISTER EMAIL'			=> 'Email', 
	'REGISTER EMAIL NOTE'			=> '(non-visible par les autres utilisateurs)',   
	'REGISTER PHONE'			=> 'Num&eacute;ro de t&eacute;l&eacute;phone', 
	'REGISTER PHONE NOTE'			=> '(optionnel, visible par les autres utilisateurs)', 	
	'REGISTER AGE'				=> 'Age', 
	'REGISTER GENDER'			=> 'Sexe', 
	'REGISTER SECURITY CODE'		=> 'Code de s&eacute;curit&eacute;', 
	'REGISTER ENTER SECURITY CODE'		=> 'Entrer le code de s&eacute;curit&eacute;', 
	'REGISTER REGISTER'			=> "S&apos;inscrire", 
	));

// User Settings - user_settings.php
$lang = array_merge($lang,array(
	'USER SETTINGS HEADER'			=> '<h2>Param&egrave;tres du compte</h2>', 
	'USER SETTINGS PASSWORD'		=> 'Mot de passe', 
	'USER SETTINGS EMAIL'			=> 'Email', 
	'USER SETTINGS NEW PASSWORD'		=> 'Nouveau mot de passe', 
	'USER SETTINGS CONFIRM PASSWORD'	=> 'Confirmer le mot de passe', 
	'USER SETTINGS PHONE'			=> 'T&eacute;l&eacute;phone', 
	'USER SETTINGS PHONE NOTE'		=> '(optionnel, visible par les autres utilisateurs)', 
	'USER SETTINGS AGE'			=> 'Age', 
	'USER SETTINGS UPDATE'			=> 'Mettre &agrave; jour', 
	));

// Offer or Request a Ride - my_ride_add.php, Edit a Ride - my_ride_edit.php, Ride Details - ride.php 
$lang = array_merge($lang,array(
	'ADD RIDE HEADER'			=> '<h2>Proposer ou rechercher un covoiturage</h2>', 
	'EDIT RIDE HEADER'			=> '<h2>Editer une offre</h2>', 
	'RIDE DETAILS HEADER'			=> '<h2>D&eacute;tails du covoiturage</h2>', 	
	'RIDE TYPE'				=> 'Type', 
	'RIDE DEPARTURE DATE'			=> 'Date de d&eacute;part', 	
	'RIDE DEPARTURE TIME'			=> 'Heure de d&eacute;part', 	
	'RIDE FROM COUNTRY'			=> 'Pays de d&eacute;part', 		
	'RIDE TO COUNTRY'			=> "Pays d'arriv&eacute;e", 		
	'RIDE FROM LOCATION'			=> 'Ville ou adresse de d&eacute;part', 			
	'RIDE TO LOCATION'			=> "Ville ou adresse d'arriv&eacute;e", 				
	'RIDE NUMBER SPACES'			=> 'Nombre de places', 				
	'RIDE NOTE'				=> 'Commentaire', 					
	'RIDE OPTIONAL'				=> '(optionnel)', 
	'RIDE SAVE BUTTON'			=> 'Enregistrer', 	
	'RIDE EDIT SAVE CHANGES BUTTON'		=> 'Enregistrer les modifications', 		
	'RIDE EDIT DELETE BUTTON'		=> 'Supprimer le covoiturage', 
	'RIDE EDIT ARE YOU SURE DELETE'		=> 'Etes-vous s&ucirc;r de vouloir supprimer cette offre?', 	
	'RIDE DETAILS NAME'			=> 'Nom', 			
	'RIDE DETAILS AGE'			=> 'Age', 			
	'RIDE DETAILS GENDER'			=> 'Sexe',
	'RIDE DETAILS PHONE'			=> 'T&eacute;l&eacute;phone', 			
	'RIDE DETAILS FROM'			=> 'D&eacute;part',
	'RIDE DETAILS TO'			=> 'Arriv&eacute;e', 			
	'RIDE DETAILS SEND MESSAGE'		=> 'Message', 			
	'RIDE DETAILS SEND MESSAGE BUTTON'	=> 'Envoyer', 			
	));
	
// Email subjects
$lang = array_merge($lang,array(
	'EMAIL SUBJECT NEW PASS'		=> 'Votre nouveau mot de passe', 
	'EMAIL SUBJECT LOST PASS'		=> 'Rcupration de votre mot de passe', 
	'EMAIL SUBJECT ACTIVATE ACCOUNT'	=> 'Activer votre %m1% compte', 
	'EMAIL SUBJECT RESPONSE TO RIDE'	=> 'Rponse  votre covoiturage sur %m1%', 
	'EMAIL SUBJECT NEW USER'		=> 'Nouvel utilisateur',	
	));
// Database fields
$lang = array_merge($lang,array(
	'All'					=> 'Tous',
	'Offer'					=> 'Offre', 
	'Request'				=> 'Recherche', 
	'Male'					=> 'Homme', 
	'Female'				=> 'Femme',
	));

// Activate Account - activate-account.php, Forgot Password - forgot-password.php  
// Login - login.php, Resend Activation - resend-activation.php
$lang = array_merge($lang,array(
	'ACTIVATE ACCOUNT HEADER'		=> '<h2>Activer mon compte</h2>', 
	'FORGOT PASSWORD HEADER'		=> '<h2>Mot de passe oubli&eacute;</h2>', 	
	'FORM USERNAME'				=> "Nom d'utilisateur", 	
	'FORM EMAIL'				=> 'Email', 		
	'FORM SUBMIT'				=> 'Envoyer', 		
	'LOGIN HEADER'				=> '<h2>Connexion</h2>',
	'FORM PASSWORD'				=> 'Mot de passe', 			
	'FORM LOGIN'				=> 'Connexion', 			
	'LOGIN NEW USER'			=> 'Nouvel utilisateur ? <a href="register.php">Inscrivez-vous ici</a>', 			
	'RESEND ACTIVATION HEADER'		=> "<h2>Renvoi email d'activation</h2>", 		
	));

//Account
$lang = array_merge($lang,array(
	"ACCOUNT_SPECIFY_USERNAME" 		=> "Merci d'indiquer votre nom d'utilisateur",
	"ACCOUNT_SPECIFY_PASSWORD" 		=> "Merci d'indiquer votre mot de passe",
	"ACCOUNT_SPECIFY_EMAIL"			=> "Merci d'indiquer votre adresse email",
	"ACCOUNT_INVALID_EMAIL"			=> "Adresse email incorrecte",
	"ACCOUNT_INVALID_AGE"			=> "L'&acirc;ge doit &ecirc;tre compris entre 0 et 99",
	"ACCOUNT_INVALID_GENDER"		=> "Merci de remplir le champ Sexe",
	"ACCOUNT_USER_OR_EMAIL_INVALID"		=> "Le nom d'utilisateur ou l'adresse email est incorrect",
	"ACCOUNT_USER_OR_PASS_INVALID"		=> "Le nom d'utilisateur ou le mot de passe est incorrect",
	"ACCOUNT_INVALID_TYPE"			=> "Merci de remplir le champ Type",
	"ACCOUNT_ADD_RIDE_DATE_EMPTY"		=> "Merci de remplir le champ Date de d&eacute;part",
	"ACCOUNT_ADD_RIDE_FROM_COUNTRY_EMPTY"	=> "Merci de remplir le champ Pays de d&eacute;part",	
	"ACCOUNT_ADD_RIDE_TO_COUNTRY_EMPTY"	=> "Merci de remplir le champ Pays d'arriv&eacute;e",	
	"ACCOUNT_ADD_RIDE_FROM_LOCATION_EMPTY"	=> "Merci de remplir le champ Ville ou adresse de d&eacute;part",		
	"ACCOUNT_ADD_RIDE_TO_LOCATION_EMPTY"	=> "Merci de remplir le champ Ville ou adresse d'arriv&eacute;e",			
	"ACCOUNT_ALREADY_ACTIVE"		=> "Votre compte est d&eacute;j&agrave; activ&eacute;",
	"ACCOUNT_INACTIVE"			=> "Votre compte n'est pas activ&eacute;. V&eacute;rifiez vos emails et spams pour plus d'informations sur l'activation de votre compte.",
	"ACCOUNT_USER_CHAR_LIMIT"		=> "Le nom d'utilisation doit &ecirc;tre compris entre %m1% et %m2% caract&egrave;res",
	"ACCOUNT_DISPLAY_CHAR_LIMIT"		=> "Le nom &agrave; afficher doit &ecirc;tre compris entre %m1% et %m2% caract&egrave;res",
	"ACCOUNT_PASS_CHAR_LIMIT"		=> "Le mot de passe doit &ecirc;tre compris entre %m1% et %m2% caract&egrave;res",
	"ACCOUNT_TITLE_CHAR_LIMIT"		=> "Le titre doit &ecirc;tre compris entre %m1% et %m2% caract&egrave;res",
	"ACCOUNT_PASS_MISMATCH"			=> "La confirmation du mot de passe ne correspond pas",
	"ACCOUNT_DISPLAY_INVALID_CHARACTERS"	=> "Le nom &agrave; afficher ne peut contenir que des caract&egrave;res alpha-num&eacute;riques",
	"ACCOUNT_USERNAME_IN_USE"		=> "Le nom d'utilisateur %m1% est d&eacute;j&agrave; utilis&eacute;",
	"ACCOUNT_DISPLAYNAME_IN_USE"		=> "Le nom &agrave; afficher %m1% est d&eacute;j&agrave; utilis&eacute;",
	"ACCOUNT_EMAIL_IN_USE"			=> "L'email %m1% est d&eacute;j&agrave; utilis&eacute;",
	"ACCOUNT_LINK_ALREADY_SENT"		=> "Un email d'activation a d&eacute;j&agrave; &eacute;t&eacute; envoy&eacute; &agrave; cette adresse il y a moins de %m1% heure(s)",
	"ACCOUNT_NEW_ACTIVATION_SENT"		=> "Un nouveau lien d'activation vous a &eacute;t&eacute; envoy&eacute;, v&eacute;rifiez vos emails",
	"ACCOUNT_SPECIFY_NEW_PASSWORD"		=> "Indiquer votre nouveau mot de passe",
	"ACCOUNT_SPECIFY_CONFIRM_PASSWORD"	=> "Confirmer votre nouveau mot de passe",
	"ACCOUNT_NEW_PASSWORD_LENGTH"		=> "Le nouveau mot de passe doit &ecirc;tre compris entre %m1% et %m2% caract&egrave;res",	
	"ACCOUNT_PASSWORD_INVALID"		=> "Le mot de passe actuel ne correspond pas au mot de passe enregistr&eacute;",	
	"ACCOUNT_DETAILS_UPDATED"		=> "D&eacute;tails du compte mis &agrave; jour",
	"ACCOUNT_ACTIVATION_MESSAGE"		=> "Il est ncessaire d'activer votre compte avant de vous connecter. Merci de suivre le lien ci-dessous pour activer votre compte. \n\n
	%m1%activate-account.php?token=%m2%",							
	"ACCOUNT_ACTIVATION_COMPLETE"		=> "Votre compte est activ&eacute;. Vous pouvez maintenant vous connecter <a href=\"login.php\">ici</a>.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE1"	=> "Vous &ecirc;tes inscrit. Vous pouvez maintenant vous connecter <a href=\"login.php\">ici</a>.",
	"ACCOUNT_REGISTRATION_COMPLETE_TYPE2"	=> "Votre inscription a bien &eacute;t&eacute; prise en compte. Vous allez recevoir un email d'activation. 
	Vous devez activer votre compte pour pouvoir vous connecter.",
	"ACCOUNT_ADD_RIDE_COMPLETE"		=> "Votre offre de covoiturage a bien &eacute;t&eacute; ajout&eacute;e. Vous pouvez consulter toutes vos offres <a href=\"my_ride_overview.php\">ici</a>.",	
	"ACCOUNT_CHANGE_RIDE_COMPLETE"		=> "Votre offre de covoiturage a bien &eacute;t&eacute; modifi&eacute;e. Vous pouvez consulter toutes vos offres <a href=\"my_ride_overview.php\">ici</a>.",		
	"ACCOUNT_CHANGE_RIDE_DELETE"		=> "Votre offre de covoiturage a bien &eacute;t&eacute; supprim&eacute;e. Vous pouvez consulter toutes vos offres <a href=\"my_ride_overview.php\">ici</a>.",			"ACCOUNT_RIDE_SEND_MESSAGE_COMPLETE"	=> "You have successfully sent a message to %m1%. You can search for other rides <a href=\"index.php\">here</a>.",			"ACCOUNT_PASSWORD_NOTHING_TO_UPDATE"	=> "You cannot update with the same password",
	"ACCOUNT_PASSWORD_UPDATED"		=> "Mot de passe modifi&eacute;",
	"ACCOUNT_EMAIL_UPDATED"			=> "Adresse email modifi&eacute;e",
	"ACCOUNT_AGE_UPDATED"			=> "Age modifi&eacute;",
	"ACCOUNT_PHONE_UPDATED"			=> "Num&eacute;ro de t&eacute;l&eacute;phone modifi&eacute;",	
	"ACCOUNT_TOKEN_NOT_FOUND"		=> "Lien d'activation incorrect / Votre compte a d&eacute;j&agrave; &eacute;t&eacute; activ&eacute;",
	"ACCOUNT_USER_INVALID_CHARACTERS"	=> "Le nom d'utilisateur ne peut contenir que des caract&egrave;res alpha-num&eacute;riques",
	"ACCOUNT_DELETIONS_SUCCESSFUL"		=> "Vous avez bien supprim&eacute; %m1% utilisateur(s), et %m2% covoiturage(s) soumis par cet utilisateur",
	"ACCOUNT_MANUALLY_ACTIVATED"		=> "Le compte de %m1% a &eacute;t&eacute; activ&eacute; manuellement",
	"ACCOUNT_DISPLAYNAME_UPDATED"		=> "Nom &agrave; afficher modifi&eacute; pour %m1%",
	"ACCOUNT_TITLE_UPDATED"			=> "Titre %m1% modifi&eacute; pour %m2%",
	"ACCOUNT_INVALID_USERNAME"		=> "Nom d'utilisateur incorrect",
	));

//Configuration
$lang = array_merge($lang,array(
	"CONFIG_NAME_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_URL_CHAR_LIMIT"			=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_EMAIL_CHAR_LIMIT"		=> "Site name must be between %m1% and %m2% characters in length",
	"CONFIG_ACTIVATION_TRUE_FALSE"		=> "Email activation must be either `true` or `false`",
	"CONFIG_ACTIVATION_RESEND_RANGE"	=> "Activation Threshold must be between %m1% and %m2% hours",
	"CONFIG_LANGUAGE_CHAR_LIMIT"		=> "Language path must be between %m1% and %m2% characters in length",
	"CONFIG_LANGUAGE_INVALID"		=> "There is no file for the language key `%m1%`",
	"CONFIG_TEMPLATE_CHAR_LIMIT"		=> "Template path must be between %m1% and %m2% characters in length",
	"CONFIG_TEMPLATE_INVALID"		=> "There is no file for the template key `%m1%`",
	"CONFIG_EMAIL_INVALID"			=> "The email you have entered is not valid",
	"CONFIG_INVALID_URL_END"		=> "Please include the ending / in your site's URL",
	"CONFIG_UPDATE_SUCCESSFUL"		=> "Your site's configuration has been updated. You may need to load a new page for all the settings to take effect",
	"SQL_ERROR"				=> "Fatal SQL error",
	));

//Forgot Password
$lang = array_merge($lang,array(
	"FORGOTPASS_INVALID_TOKEN"		=> "Votre lien d'activation est incorrect",
	"FORGOTPASS_NEW_PASS_EMAIL"		=> "Un nouveau mot de passe vous a &eacute;t&eacute; envoy&eacute; par email",
	"FORGOTPASS_REQUEST_CANNED"		=> "Demande de mot de passe perdu annul&eacute;e",
	"FORGOTPASS_REQUEST_EXISTS"		=> "Une demande de mot de passe perdu pour ce compte est d&eacute;j&agrave; ouverte",
	"FORGOTPASS_REQUEST_SUCCESS"		=> "Nous vous avons envoy&eacute; par email les instructions pour acc&eacute;der &agrave; nouveau &agrave; votre compte",
	));

//Mail
$lang = array_merge($lang,array(
	"MAIL_ERROR"				=> "Fatal error attempting mail, contact your server administrator",
	"MAIL_TEMPLATE_BUILD_ERROR"		=> "Error building email template",
	"MAIL_TEMPLATE_DIRECTORY_ERROR"		=> "Unable to open mail-templates directory. Perhaps try setting the mail directory to %m1%",
	"MAIL_TEMPLATE_FILE_EMPTY"		=> "Template file is empty... nothing to send",
	));

//Miscellaneous
$lang = array_merge($lang,array(
	"CAPTCHA_FAIL"				=> "Erreur de code de s&eacute;curit&eacute;",
	"CONFIRM"				=> "Confirmer",
	"DENY"					=> "Annuler",
	"SUCCESS"				=> "Validation",
	"ERROR"					=> "Erreur",
	"NOTHING_TO_UPDATE"			=> "Rien &agrave; mettre &agrave; jour",
	"FEATURE_DISABLED"			=> "Cette fonction est actuellement indisponible",
	));

//Permissions
$lang = array_merge($lang,array(
	"PERMISSION_CHAR_LIMIT"			=> "Permission names must be between %m1% and %m2% characters in length",
	"PERMISSION_NAME_IN_USE"		=> "Permission name %m1% is already in use",
	"PERMISSION_DELETIONS_SUCCESSFUL"	=> "Successfully deleted %m1% permission level(s)",
	"PERMISSION_CREATION_SUCCESSFUL"	=> "Successfully created the permission level `%m1%`",
	"PERMISSION_NAME_UPDATE"		=> "Permission level name changed to `%m1%`",
	"PERMISSION_REMOVE_PAGES"		=> "Successfully removed access to %m1% page(s)",
	"PERMISSION_ADD_PAGES"			=> "Successfully added access to %m1% page(s)",
	"PERMISSION_REMOVE_USERS"		=> "Successfully removed %m1% user(s)",
	"PERMISSION_ADD_USERS"			=> "Successfully added %m1% user(s)",
	"ACCOUNT_PERMISSION_ADDED"		=> "Added access to %m1% permission levels",
	"ACCOUNT_PERMISSION_REMOVED"		=> "Removed access from %m1% permission levels",
	"PAGE_PRIVATE_TOGGLED"			=> "This page is now %m1%",
	"PAGE_ACCESS_REMOVED"			=> "Page access removed for %m1% permission level(s)",
	"PAGE_ACCESS_ADDED"			=> "Page access added for %m1% permission level(s)",
	"CANNOT_DELETE_NEWUSERS"		=> "You cannot delete the default 'new user' group",
	"CANNOT_DELETE_ADMIN"			=> "You cannot delete the default 'admin' group",
	));
?>